<?php
/**
 * Back to top
 *
 * @package Citation
 */

$menus['footer']['child']['footer-back-to-top'] = array(
	'title' => esc_html__( 'Back to Top', 'citation' ),
	'desc'  => esc_html__( 'From here, you can control the back to top button.', 'citation' ),
);

// Dependency check that back to top option is enable.
$top_button_dependency = array(
	'relation' => 'and',
	array(
		'field'      => 'show_top_button',
		'value'      => '1',
		'comparison' => '==',
	),
);

$sections['footer-back-to-top'] = array(

	array(
		'id'       => 'show_top_button',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show Top Button', 'citation' ),
		'sub_desc' => esc_html__( 'Enable or disable back to top button with this option.', 'citation' ),
		'std'      => '1',
	),

	array(
		'id'       => 'top_button_icon',
		'type'     => 'icon_select',
		'title'    => esc_html__( 'Top Button Icon', 'citation' ),
		'sub_desc' => esc_html__( 'Set icon for top button icon with this option.', 'citation' ),
		'std'      => 'angle-up',
	),

	array(
		'id'         => 'top_button_color',
		'type'       => 'color',
		'title'      => esc_html__( 'Top Button Icon Color', 'citation' ),
		'sub_desc'   => esc_html__( 'The theme comes with unlimited color schemes for your theme\'s styling.', 'citation' ),
		'args'       => array( 'opacity' => true ),
		'std'        => citation_get_settings( 'primary_color_scheme' ),
		'dependency' => $top_button_dependency,
	),
	array(
		'id'         => 'top_button_color_hover',
		'type'       => 'color',
		'title'      => esc_html__( 'Top Button Icon Hover Color', 'citation' ),
		'sub_desc'   => esc_html__( 'The theme comes with unlimited color schemes for your theme\'s styling.', 'citation' ),
		'args'       => array( 'opacity' => true ),
		'std'        => '#ffffff',
		'dependency' => $top_button_dependency,
	),

	array(
		'id'         => 'top_button_background',
		'type'       => 'background',
		'title'      => esc_html__( 'Background Settings', 'citation' ),
		'sub_desc'   => esc_html__( 'Set top button background color, pattern and image from here.', 'citation' ),
		'options'    => array(
			'color'         => false,            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => false,            // false to disable, not needed otherwise.
			'repeat'        => false,       // false to disable, array of options to override default ( optional ).
			'attachment'    => false,       // false to disable, array of options to override default ( optional ).
			'position'      => false,       // false to disable, array of options to override default ( optional ).
			'size'          => false,       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => false,       // false to disable, array of options to override default ( optional ).
		),
		'std'        => array(
			'color'         => '',
			'use'           => 'gradient',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#3a4dd3',
				'to'        => '#272396',
				'direction' => '-45deg',
			),
			'parallax'      => '0',
		),
		'dependency' => $top_button_dependency,
	),
	array(
		'id'         => 'top_button_background_hover',
		'type'       => 'background',
		'title'      => esc_html__( 'Background Hover Settings', 'citation' ),
		'sub_desc'   => esc_html__( 'Set top button background hover color, pattern and image from here.', 'citation' ),
		'options'    => array(
			'color'         => false,            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => false,            // false to disable, not needed otherwise.
			'repeat'        => false,       // false to disable, array of options to override default ( optional ).
			'attachment'    => false,       // false to disable, array of options to override default ( optional ).
			'position'      => false,       // false to disable, array of options to override default ( optional ).
			'size'          => false,       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => false,       // false to disable, array of options to override default ( optional ).
		),
		'std'        => array(
			'color'         => '',
			'use'           => 'gradient',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#272396',
				'to'        => '#3a4dd3',
				'direction' => '45deg',
			),
			'parallax'      => '0',
		),
		'dependency' => $top_button_dependency,
	),

	array(
		'id'         => 'top_button_font_size',
		'type'       => 'text',
		'class'      => 'small-text',
		'title'      => esc_html__( 'Font Size', 'citation' ),
		'sub_desc'   => esc_html__( 'Set font size of top button in px.', 'citation' ),
		'std'        => '24',
		'args'       => array( 'type' => 'number' ),
		'dependency' => $top_button_dependency,
	),

	array(
		'id'         => 'top_button_padding',
		'type'       => 'margin',
		'title'      => esc_html__( 'Padding', 'citation' ),
		'sub_desc'   => esc_html__( 'Set Top button padding from here.', 'citation' ),
		'std'        => array(
			'top'    => '15px',
			'right'  => '13px',
			'bottom' => '17px',
			'left'   => '13px',
		),
		'dependency' => $top_button_dependency,
	),
	array(
		'id'         => 'top_button_position',
		'type'       => 'margin',
		'title'      => esc_html__( 'Top Button Position', 'citation' ),
		'sub_desc'   => esc_html__( 'Set top button position from here.', 'citation' ),
		'std'        => array(
			'top'    => 'auto',
			'right'  => citation_px_to_rem( '50px' ),
			'bottom' => citation_px_to_rem( '120px' ),
			'left'   => 'auto',
		),
		'dependency' => $top_button_dependency,
	),

	array(
		'id'         => 'top_button_border_radius',
		'type'       => 'text',
		'class'      => 'small-text',
		'title'      => esc_html__( 'Border Radius', 'citation' ),
		'sub_desc'   => esc_html__( 'Set border radius of top button in px.', 'citation' ),
		'std'        => '56',
		'args'       => array( 'type' => 'number' ),
		'dependency' => $top_button_dependency,
	),

	array(
		'id'         => 'top_button_border',
		'type'       => 'border',
		'title'      => esc_html__( 'Border', 'citation' ),
		'sub_desc'   => esc_html__( 'Select border', 'citation' ),
		'dependency' => $top_button_dependency,
	),

);
