<?php
/**
 * Archive Pages
 *
 * @package Citation
 */

$menus['blog-archive'] = array(
	'icon'  => 'fa-archive',
	'title' => esc_html__( 'Archives', 'citation' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the archive pages.', 'citation' ),
);

$readmorebtn = array(
	'relation' => 'and',
	array(
		'field'      => 'archive_readmore_button',
		'value'      => '1',
		'comparison' => '==',
	),
);

$sections['blog-archive'] = array(
	array(
		'id'       => 'archive_excerpt',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Excerpt Length', 'magnus' ),
		'sub_desc' => esc_html__( 'Max lenght is 55 Words.', 'magnus' ),
		'args'     => array( 'type' => 'number' ),
		'std'      => '12',
	),
	array(
		'id'    => 'archive_post_title_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Archive Post Font', 'citation' ),
	),
	array(
		'id'    => 'archive_post_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Post Title Font', 'citation' ),
		'std'   => array(
			'preview-text'  => 'Post Title Font',
			'preview-color' => 'light',
			'font-family'   => 'Raleway',
			'font-weight'   => '700',
			'font-size'     => '20px',
			'line-height'   => '1.2',
			'margin-bottom' => citation_px_to_rem( '10px' ),
			'color'         => '#363a60',
			'css-selectors' => '.latestPost .title a, .archive .latestPost .title a, .search .latestPost .title a, .archive [class^="more-page"] .latestPost .title a, .search [class^="more-page"] .latestPost .title a',
		),
	),
	array(
		'id'    => 'archive_post_excerpt_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Post Excerpt Font', 'citation' ),
		'std'   => array(
			'preview-text'  => 'Post Excerpt Font',
			'preview-color' => 'light',
			'font-family'   => 'Raleway',
			'font-weight'   => '400',
			'font-size'     => '14px',
			'margin-bottom' => citation_px_to_rem( '16px' ),
			'line-height'   => '1.5',
			'color'         => '#363a60',
			'css-selectors' => '.archive .latestPost .front-view-content, .search .latestPost .front-view-content, .archive [class^="more-page"] .latestPost .front-view-content, .search [class^="more-page"] .latestPost .front-view-content',
		),
	),
	array(
		'id'    => 'archive_meta_info_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Archive Meta Info', 'citation' ),
	),
	array(
		'id'       => 'archive_post_meta_info',
		'type'     => 'layout2',
		'title'    => esc_html__( 'Post Meta Info', 'citation' ),
		'sub_desc' => esc_html__( 'Organize how you want the post meta info to appear on archive pages', 'citation' ),
		'options'  => array(
			'enabled'  => array(),
			'disabled' => array(
				'author'   => array(
					'label'     => esc_html__( 'Author Name', 'citation' ),
					'subfields' => array(
						array(
							'id'    => 'archive_meta_info_author_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'citation' ),
						),
					),
				),
				'date'     => array(
					'label'     => esc_html__( 'Date', 'citation' ),
					'subfields' => array(
						array(
							'id'    => 'archive_meta_info_date_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'citation' ),
						),
					),
				),
				'category' => array(
					'label'     => esc_html__( 'Categories', 'citation' ),
					'subfields' => array(
						array(
							'id'    => 'archive_meta_info_category_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'citation' ),
						),
					),
				),
				'comment'  => array(
					'label'     => esc_html__( 'Comment Count', 'citation' ),
					'subfields' => array(
						array(
							'id'    => 'archive_meta_info_comment_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'citation' ),
						),
					),
				),
			),
		),
		'std'      => array(
			'enabled'  => array(),
			'disabled' => array(
				'author'   => array(
					'label'     => esc_html__( 'Author Name', 'citation' ),
					'subfields' => array(
						array(
							'id'    => 'archive_meta_info_author_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'citation' ),
						),
					),
				),
				'date'     => array(
					'label'     => esc_html__( 'Date', 'citation' ),
					'subfields' => array(
						array(
							'id'    => 'archive_meta_info_date_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'citation' ),
						),
					),
				),
				'category' => array(
					'label'     => esc_html__( 'Categories', 'citation' ),
					'subfields' => array(
						array(
							'id'    => 'archive_meta_info_category_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'citation' ),
						),
					),
				),
				'comment'  => array(
					'label'     => esc_html__( 'Comment Count', 'citation' ),
					'subfields' => array(
						array(
							'id'    => 'archive_meta_info_comment_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'citation' ),
						),
					),
				),
			),
		),
	),
	array(
		'id'    => 'archive_meta_info_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Post Meta Info Typography', 'citation' ),
		'std'   => array(
			'preview-text'  => 'Post Meta Info Font',
			'preview-color' => 'light',
			'font-family'   => 'Raleway',
			'font-weight'   => '400',
			'font-size'     => '14px',
			'margin-bottom' => citation_px_to_rem( '20px' ),
			'color'         => '#363a60',
			'line-height'   => '2',
			'css-selectors' => '.archive .latestPost .post-info, .archive .latestPost .post-info a, .search .latestPost .post-info, .search .latestPost .post-info a',
		),
	),
	// Read More Button.
	array(
		'id'    => 'archive_post_readmore_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Read More Button', 'citation' ),
	),

	array(
		'id'       => 'archive_readmore_button',
		'type'     => 'switch',
		'title'    => esc_html__( 'Enable/Disable Read More', 'citation' ),
		'sub_desc' => esc_html__( 'Use this button to show or hide Read More.', 'citation' ),
		'std'      => '1',
	),

	array(
		'id'         => 'archive_readmore_font',
		'type'       => 'typography',
		'title'      => esc_html__( 'Read More Font', 'digital' ),
		'std'        => array(
			'preview-text'  => 'Read More Font',
			'preview-color' => 'light',
			'font-family'   => 'Raleway',
			'font-weight'   => '700',
			'font-size'     => '11px',
			'color'         => '#363a60',
			'css-selectors' => '.archive .latestPost .readMore a, .search .latestPost .readMore a',
		),
		'dependency' => $readmorebtn,
	),

	array(
		'id'         => 'archive_readmore_hover_color',
		'type'       => 'color',
		'title'      => esc_html__( 'Read More Hover Color', 'citation' ),
		'std'        => citation_get_settings( 'primary_color_scheme' ),
		'dependency' => $readmorebtn,
	),
);
