<?php
/**
 * Footer Logo & Navigation Section
 *
 * @package Citation
 */

$menus['footer']['child']['footer-copyrights'] = array(
	'title' => esc_html__( 'Copyrights', 'citation' ),
	'desc'  => esc_html__( 'From here, you can control Copyrights Section', 'citation' ),
);

$sections['footer-copyrights'] = array(
	array(
		'id'       => 'mts_copyrights',
		'type'     => 'textarea',
		'title'    => esc_html__( 'Copyrights Text', 'citation' ),
		'sub_desc' => esc_html__( 'You can change or remove our link from footer and use your own custom text.', 'citation' ) . ( MTS_THEME_WHITE_LABEL ? '' : wp_kses( __( '(You can also use your affiliate link to <strong>earn 55% of sales</strong>. Ex: <a href="https://mythemeshop.com/go/aff/aff" target="_blank">https://mythemeshop.com/?ref=username</a>)', 'citation' ), array( 'strong' => '', 'a' => array( 'href' => array(), 'target' => array() ) ) ) ),
		// translators: Default value.
		'std'      => MTS_THEME_WHITE_LABEL ? null : sprintf( __( 'Theme by %s', 'citation' ), '<a href="http://mythemeshop.com/" rel="nofollow">MyThemeShop</a>' ),
	),
	array(
		'id'       => 'mts_copyrights_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Copyrights Background', 'citation' ),
		'sub_desc' => esc_html__( 'Set copyrights background color, pattern and image from here.', 'citation' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '#090d2a',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),
	array(
		'id'       => 'mts_copyrights_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Copyrights Padding', 'citation' ),
		'sub_desc' => esc_html__( 'Set copyrights padding from here.', 'citation' ),
		'std'      => array(
			'top'    => citation_px_to_rem( '22px' ),
			'right'  => '0',
			'bottom' => citation_px_to_rem( '24px' ),
			'left'   => '0',
		),
	),
	array(
		'id'       => 'mts_copyrights_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Copyrights Margin', 'citation' ),
		'sub_desc' => esc_html__( 'Set copyrights margin from here.', 'citation' ),
		'std'      => array(
			'top'    => citation_px_to_rem( '50px' ),
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'copyrights_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'citation' ),
		'sub_desc' => esc_html__( 'Select border', 'citation' ),
	),
);
