<?php
/**
 * Footer Logo & Navigation Section
 *
 * @package Citation
 */

$menus['footer']['child']['footer-logo-nav'] = array(
	'title' => esc_html__( 'Logo & Navigation', 'citation' ),
	'desc'  => esc_html__( 'From here, you can control the Footer Logo and Footer Navigation Section', 'citation' ),
);

$footer_show_logo = array(
	'field'      => 'footer_show_logo',
	'value'      => '1',
	'comparison' => '==',
);

$footer_nav_section = array(
	'field'      => 'footer_nav_section',
	'value'      => '1',
	'comparison' => '==',
);

$footer_nav_separator = array(
	'field'      => 'footer_nav_separator',
	'value'      => '1',
	'comparison' => '==',
);

$sections['footer-logo-nav'] = array(

	array(
		'id'         => 'footer_logo_nav_position',
		'type'       => 'button_set',
		'title'      => esc_html__( 'Footer Navigation Position', 'citation' ),
		'sub_desc'   => esc_html__( 'Choose position of footer navigation.', 'citation' ),
		'options'    => array(
			'left'  => esc_html__( 'Left', 'citation' ),
			'right' => esc_html__( 'Right', 'citation' ),
		),
		'std'        => 'right',
		'class'      => 'green',
		'dependency' => array(
			'relation' => 'or',
			$footer_show_logo,
			$footer_nav_section,
		),
	),

	array(
		'id'    => 'footer_logo_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Footer Logo Heading', 'citation' ),
	),

	array(
		'id'       => 'footer_show_logo',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show Footer Logo', 'citation' ),
		'sub_desc' => esc_html__( 'Show or hide footer logo with this option.', 'citation' ),
		'std'      => '1',
	),

	array(
		'id'         => 'footer_logo',
		'type'       => 'upload',
		'title'      => esc_html__( 'Footer Logo', 'citation' ),
		'sub_desc'   => wp_kses( __( 'Select an image file for your logo. Recommended Size <strong>112px X 32px</strong>', 'citation' ), array( 'strong' => '' ) ),
		'return'     => 'id',
		'dependency' => array(
			'relation' => 'and',
			$footer_show_logo,
		),
	),

	array(
		'id'    => 'citation_footer_logo',
		'type'  => 'typography',
		'title' => esc_html__( 'Footer Logo Font', 'citation' ),
		'std'   => array(
			'preview-text'  => 'Logo',
			'preview-color' => 'dark',
			'font-family'   => 'Raleway',
			'font-weight'   => '700',
			'font-size'     => '30px',
			'color'         => '#ffffff',
			'css-selectors' => '.footer-logo-wrap #logo a',
		),
	),

	array(
		'id'    => 'footer_nav_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Footer Navigation Section', 'citation' ),
	),
	array(
		'id'       => 'footer_nav_section',
		'type'     => 'switch',
		'title'    => esc_html__( 'Navigation Section', 'citation' ),
		'sub_desc' => esc_html__( 'Enable or disable Navigation Section with this option.', 'citation' ),
		'std'      => '0',
	),
	array(
		'id'         => 'footer_nav_font',
		'type'       => 'typography',
		'title'      => esc_html__( 'Footer Navigation', 'citation' ),
		'std'        => array(
			'preview-text'   => 'Footer Navigation Font',
			'preview-color'  => 'dark',
			'font-family'    => 'Raleway',
			'font-weight'    => '700',
			'font-size'      => '16px',
			'line-height'    => '1.625',
			'color'          => '#c5c6cd',
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.footer-nav li a',
		),
		'dependency' => array(
			'relation' => 'and',
			$footer_nav_section,
		),
	),
	array(
		'id'         => 'footer_menu_item_margin',
		'type'       => 'margin',
		'title'      => esc_html__( 'Menu Items Margin', 'citation' ),
		'sub_desc'   => esc_html__( 'Navigation Section menu item margin.', 'citation' ),
		'top'        => false,
		'bottom'     => false,
		'std'        => array(
			'right' => '28px',
			'left'  => '0',
		),
		'dependency' => array(
			'relation' => 'and',
			$footer_nav_section,
		),
	),
	array(
		'id'         => 'footer_nav_separator',
		'type'       => 'switch',
		'title'      => esc_html__( 'Show Nav Separator', 'citation' ),
		'sub_desc'   => esc_html__( 'Enable or disable nav separator with this option.', 'citation' ),
		'std'        => '0',
		'dependency' => array(
			'relation' => 'and',
			$footer_nav_section,
		),
	),
	array(
		'id'         => 'footer_nav_separator_content',
		'type'       => 'text',
		'class'      => 'small-text',
		'title'      => esc_html__( 'Separator', 'citation' ),
		'sub_desc'   => esc_html__( 'Use any separator, ex: "-" "/" "|" "." ">"', 'citation' ),
		'std'        => '|',
		'dependency' => array(
			'relation' => 'and',
			$footer_nav_separator,
		),
	),
	array(
		'id'         => 'footer_nav_separator_color',
		'type'       => 'color',
		'title'      => esc_html__( 'Separator Color', 'citation' ),
		'sub_desc'   => esc_html__( 'Set nav separator color from here.', 'citation' ),
		'std'        => '#c7c7c9',
		'dependency' => array(
			'relation' => 'and',
			$footer_nav_separator,
		),
	),
	array(
		'id'         => 'footer_nav_separator_margin',
		'type'       => 'margin',
		'title'      => esc_html__( 'Separator Margin', 'citation' ),
		'sub_desc'   => esc_html__( 'Nav Separator margin.', 'citation' ),
		'top'        => false,
		'bottom'     => false,
		'std'        => array(
			'right' => '25px',
			'left'  => '0',
		),
		'dependency' => array(
			'relation' => 'and',
			$footer_nav_separator,
		),
	),

	// Post Container.
	array(
		'id'         => 'footer_logo_nav_heading',
		'type'       => 'heading',
		'title'      => esc_html__( 'Footer Logo & Navigation Container', 'citation' ),
		'dependency' => array(
			'relation' => 'or',
			$footer_show_logo,
			$footer_nav_section,
		),
	),
	array(
		'id'         => 'footer_logo_nav_background',
		'type'       => 'background',
		'title'      => esc_html__( 'Background', 'citation' ),
		'sub_desc'   => esc_html__( 'Set Footer Logo & Navigation section background color, pattern and image from here.', 'citation' ),
		'options'    => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'        => array(
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
		'dependency' => array(
			'relation' => 'or',
			$footer_show_logo,
			$footer_nav_section,
		),
	),
	array(
		'id'         => 'footer_logo_nav_margin',
		'type'       => 'margin',
		'title'      => esc_html__( 'Margin', 'citation' ),
		'sub_desc'   => esc_html__( 'Set Footer Logo & Navigation margin from here', 'citation' ),
		'left'       => false,
		'right'      => false,
		'std'        => array(
			'top'    => citation_px_to_rem( '30px' ),
			'bottom' => citation_px_to_rem( '30px' ),
		),
		'dependency' => array(
			'relation' => 'or',
			$footer_show_logo,
			$footer_nav_section,
		),
	),
	array(
		'id'         => 'footer_logo_nav_padding',
		'type'       => 'margin',
		'title'      => esc_html__( 'Padding', 'citation' ),
		'sub_desc'   => esc_html__( 'Set Footer Logo & Navigation padding from here', 'citation' ),
		'std'        => array(
			'left'   => '0',
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
		),
		'dependency' => array(
			'relation' => 'or',
			$footer_show_logo,
			$footer_nav_section,
		),
	),
	array(
		'id'         => 'footer_logo_nav_border',
		'type'       => 'border',
		'title'      => esc_html__( 'Border', 'citation' ),
		'sub_desc'   => esc_html__( 'Select Footer Logo & Navigation section border from here', 'citation' ),
		'dependency' => array(
			'relation' => 'or',
			$footer_show_logo,
			$footer_nav_section,
		),
	),
);
