<?php
/**
 * Header Styling
 *
 * @package Citation
 */

$menus['header']['child']['header-Styling'] = array(
	'title' => esc_html__( 'Styling', 'citation' ),
	'desc'  => esc_html__( 'From here, you can control the elements of header styling.', 'citation' ),
);

// Dependency for header layout 2.
$header_layout2_dependency = array(
	'relation' => 'and',
	array(
		'field'      => 'header_styles',
		'value'      => 'header-layout2',
		'comparison' => '==',
	),
);

$sections['header-Styling'] = array(

	array(
		'id'       => 'main_navigation_dropdown_color',
		'type'     => 'color',
		'title'    => esc_html__( 'Dropdown Text Color', 'citation' ),
		'sub_desc' => esc_html__( 'Select dropdown text color for main navigation from here.', 'citation' ),
		'std'      => '#363a60',
	),
	array(
		'id'       => 'main_navigation_dropdown_background',
		'type'     => 'color',
		'title'    => esc_html__( 'Dropdown Background Color', 'citation' ),
		'sub_desc' => esc_html__( 'Select dropdown background color for main navigation from here.', 'citation' ),
		'std'      => '#ffffff',
	),
	array(
		'id'       => 'main_navigation_dropdown_hover_color',
		'type'     => 'color',
		'title'    => esc_html__( 'Dropdown Text Hover Color', 'citation' ),
		'sub_desc' => esc_html__( 'Select dropdown text hover color for main navigation from here.', 'citation' ),
		'std'      => citation_get_settings( 'primary_color_scheme' ),
	),
	array(
		'id'         => 'header_text_font',
		'type'       => 'typography',
		'title'      => esc_html__( 'Header Text Font', 'citation' ),
		'std'        => array(
			'preview-text'  => 'Header Text',
			'preview-color' => 'dark',
			'font-family'   => 'Raleway',
			'font-weight'   => '300',
			'font-size'     => '24px',
			'line-height'   => '1.4',
			'color'         => '#ffffff',
			'css-selectors' => '.header-text',
		),
		'dependency' => $header_layout2_dependency,
	),
);
