<?php
/**
 * Header Tab
 *
 * @package Citation
 */

$menus['header'] = array(
	'icon'  => 'fa-header',
	'title' => esc_html__( 'Header', 'citation' ),
);

$menus['header']['child']['header-general'] = array(
	'title' => esc_html__( 'General', 'citation' ),
	'desc'  => esc_html__( 'From here, you can control the elements of header section.', 'citation' ),
);

// Dependency for header layout 2.
$header_layout2_dependency = array(
	'relation' => 'and',
	array(
		'field'      => 'header_styles',
		'value'      => 'header-layout2',
		'comparison' => '==',
	),
);

$sections['header-general'] = array(

	array(
		'id'       => 'header_styles',
		'type'     => 'radio_img',
		'title'    => esc_html__( 'Header Styling', 'citation' ),
		'sub_desc' => wp_kses( __( 'Choose the <strong>Header design</strong> for your site.', 'citation' ), array( 'strong' => '' ) ),
		'options'  => array(
			'header-default' => array( 'img' => $uri . 'headers/header-default.jpg' ),
			'header-layout2' => array( 'img' => $uri . 'headers/header-layout2.jpg' ),
		),
		'std'      => 'header-default',
	),

	array(
		'id'    => 'header_general_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Header General Settings', 'citation' ),
	),

	array(
		'id'       => 'sticky_nav',
		'type'     => 'switch',
		'title'    => esc_html__( 'Floating Navigation Menu', 'citation' ),
		// translators: Floating Navigation Menu with strong tag.
		'sub_desc' => sprintf( esc_html__( 'Use this button to enable %s.', 'citation' ), '<strong>' . esc_html__( 'Floating Navigation Menu', 'citation' ) . '</strong>' ),
		'std'      => '0',
	),

	array(
		'id'       => 'hide_logo',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show Logo', 'citation' ),
		'sub_desc' => wp_kses( __( 'Use this button to Show or Hide the <strong>Logo</strong> completely.', 'citation' ), array( 'strong' => '' ) ),
		'std'      => '1',
	),
	array(
		'id'         => 'header_text',
		'type'       => 'text',
		'title'      => esc_html__( 'Header Text', 'citation' ),
		'sub_desc'   => esc_html__( 'Enter Header Text from here.', 'citation' ),
		'std'        => 'See how your business is doing',
		'dependency' => $header_layout2_dependency,
	),
	array(
		'id'        => 'header_buttons',
		'type'      => 'group',
		'title'     => esc_html__( 'Header Buttons', 'citation' ),
		'sub_desc'  => esc_html__( 'Add buttons appearing on the header.', 'citation' ),
		'groupname' => esc_html__( 'Button', 'citation' ),
		'subfields' => array(
			array(
				'id'    => 'button_text',
				'type'  => 'text',
				'title' => esc_html__( 'Button Text', 'citation' ),
			),
			array(
				'id'    => 'button_url',
				'type'  => 'text',
				'title' => esc_html__( 'Button URL', 'citation' ),
			),
			array(
				'id'    => 'button_text_color',
				'type'  => 'color',
				'title' => esc_html__( 'Button Text Color', 'citation' ),
			),
			array(
				'id'    => 'button_bg_color',
				'type'  => 'color',
				'title' => esc_html__( 'Button Background Color', 'citation' ),
			),
			array(
				'id'    => 'button_text_hover_color',
				'type'  => 'color',
				'title' => esc_html__( 'Button Text Hover Color', 'citation' ),
			),
			array(
				'id'    => 'button_bg_hover_color',
				'type'  => 'color',
				'title' => esc_html__( 'Button Background Hover Color', 'citation' ),
			),
			array(
				'id'    => 'header_button_margin',
				'type'  => 'margin',
				'title' => esc_html__( 'Button Margin', 'citation' ),
			),
			array(
				'id'    => 'header_button_padding',
				'type'  => 'margin',
				'title' => esc_html__( 'Button Padding', 'citation' ),
			),
			array(
				'id'       => 'header_button_border',
				'type'     => 'border',
				'title'    => esc_html__( 'Border', 'citation' ),
				'sub_desc' => esc_html__( 'Select border.', 'citation' ),
			),
			array(
				'id'    => 'button_border_radius',
				'type'  => 'text',
				'class' => 'small-text',
				'title' => esc_html__( 'Button Border Radius', 'citation' ),
				'args'  => array( 'type' => 'number' ),
			),
		),
		'std'       => array(
			'1' => array(
				'group_sort'              => '1',
				'button_text_color'       => '#ffffff',
				'button_bg_color'         => '',
				'button_text_hover_color' => '#3640b2',
				'button_bg_hover_color'   => '#ffffff',
				'button_text'             => 'Login',
				'button_url'              => '#',
				'header_button_margin'    => array(
					'top'    => '0',
					'right'  => '0',
					'bottom' => '0',
					'left'   => '15px',
				),
				'header_button_padding'   => array(
					'top'    => '4px',
					'right'  => '39px',
					'bottom' => '4px',
					'left'   => '39px',
				),
				'header_button_border'    => array(
					'direction' => 'all',
					'size'      => '1',
					'style'     => 'solid',
					'color'     => '#ffffff',
				),
				'button_border_radius'    => '20',
			),
			'2' => array(
				'group_sort'              => '2',
				'button_text_color'       => '#ffffff',
				'button_bg_color'         => '',
				'button_text_hover_color' => '#3640b2',
				'button_bg_hover_color'   => '#ffffff',
				'button_text'             => 'Book a Demo',
				'button_url'              => '#',
				'header_button_margin'    => array(
					'top'    => '0',
					'right'  => '0',
					'bottom' => '0',
					'left'   => '15px',
				),
				'header_button_padding'   => array(
					'top'    => '4px',
					'right'  => '39px',
					'bottom' => '4px',
					'left'   => '39px',
				),
				'header_button_border'    => array(
					'direction' => 'all',
					'size'      => '1',
					'style'     => 'solid',
					'color'     => '#ffffff',
				),
				'button_border_radius'    => '20',
			),
		),
	),
	array(
		'id'         => 'header_search_box',
		'type'       => 'switch',
		'title'      => esc_html__( 'Show Header Search Form', 'citation' ),
		'sub_desc'   => wp_kses( __( 'Use this button to Show or Hide the <strong>Header Search Form</strong> completely.', 'citation' ), array( 'strong' => '' ) ),
		'std'        => '1',
		'dependency' => $header_layout2_dependency,
	),
	array(
		'id'       => 'mts_header_social_share',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show Header Social Icons', 'citation' ),
		'sub_desc' => wp_kses( __( 'Use this button to Show or Hide the <strong>Header social icons</strong> completely.', 'citation' ), array( 'strong' => '' ) ),
		'std'      => '0',
	),
	array(
		'id'         => 'header_social_icons',
		'title'      => esc_html__( 'Header Social Icons', 'citation' ),
		'sub_desc'   => esc_html__( 'Add Social Media icons in header.', 'citation' ),
		'type'       => 'group',
		'groupname'  => esc_html__( 'Header Icon', 'citation' ), // Group name.
		'subfields'  => array(
			array(
				'id'    => 'header_icon_title',
				'type'  => 'text',
				'title' => esc_html__( 'Title', 'citation' ),
			),
			array(
				'id'    => 'header_icon',
				'type'  => 'icon_select',
				'title' => esc_html__( 'Icon', 'citation' ),
			),
			array(
				'id'    => 'header_icon_link',
				'type'  => 'text',
				'title' => esc_html__( 'URL', 'citation' ),
			),
			array(
				'id'    => 'header_icon_bgcolor',
				'type'  => 'color',
				'title' => esc_html__( 'Header icon background color', 'citation' ),
			),
			array(
				'id'    => 'header_icon_hover_bgcolor',
				'type'  => 'color',
				'title' => esc_html__( 'Header icon background hover color', 'citation' ),
			),
			array(
				'id'    => 'header_icon_color',
				'type'  => 'color',
				'title' => esc_html__( 'Header icon color', 'citation' ),
			),
			array(
				'id'    => 'header_icon_hover_color',
				'type'  => 'color',
				'title' => esc_html__( 'Header icon hover color', 'citation' ),
			),
			array(
				'id'    => 'header_icon_margin',
				'type'  => 'margin',
				'title' => esc_html__( 'Header icon Margin', 'citation' ),
			),
			array(
				'id'    => 'header_icon_padding',
				'type'  => 'margin',
				'title' => esc_html__( 'Header icon Padding', 'citation' ),
			),
			array(
				'id'    => 'header_icon_border_radius',
				'type'  => 'text',
				'class' => 'small-text',
				'title' => esc_html__( 'Header icon border radius', 'citation' ),
				'args'  => array( 'type' => 'number' ),
			),
		),
		'std'        => array(
			'facebook'  => array(
				'group_title'               => 'Facebook',
				'group_sort'                => '1',
				'header_icon_title'         => 'Facebook',
				'header_icon'               => 'facebook-official',
				'header_icon_link'          => '#',
				'header_icon_bgcolor'       => '',
				'header_icon_hover_bgcolor' => '',
				'header_icon_color'         => '#ffffff',
				'header_icon_hover_color'   => citation_get_settings( 'primary_color_scheme' ),
				'header_icon_margin'        => array(
					'top'    => '0',
					'right'  => '0',
					'bottom' => '0',
					'left'   => '13px',
				),
				'header_icon_padding'       => array(
					'top'    => '0',
					'right'  => '0',
					'bottom' => '0',
					'left'   => '0',
				),
				'header_icon_border_radius' => '0',
			),
			'twitter'   => array(
				'group_title'               => 'Twitter',
				'group_sort'                => '2',
				'header_icon_title'         => 'Twitter',
				'header_icon'               => 'twitter',
				'header_icon_link'          => '#',
				'header_icon_bgcolor'       => '',
				'header_icon_hover_bgcolor' => '',
				'header_icon_color'         => '#ffffff',
				'header_icon_hover_color'   => citation_get_settings( 'primary_color_scheme' ),
				'header_icon_margin'        => array(
					'top'    => '0',
					'right'  => '0',
					'bottom' => '0',
					'left'   => '13px',
				),
				'header_icon_padding'       => array(
					'top'    => '0',
					'right'  => '0',
					'bottom' => '0',
					'left'   => '0',
				),
				'header_icon_border_radius' => '0',
			),
			'instagram' => array(
				'group_title'               => 'Instagram',
				'group_sort'                => '3',
				'header_icon_title'         => 'Instagram',
				'header_icon'               => 'instagram',
				'header_icon_link'          => '#',
				'header_icon_bgcolor'       => '',
				'header_icon_hover_bgcolor' => '',
				'header_icon_color'         => '#ffffff',
				'header_icon_hover_color'   => citation_get_settings( 'primary_color_scheme' ),
				'header_icon_margin'        => array(
					'top'    => '0',
					'right'  => '13px',
					'bottom' => '0',
					'left'   => '13px',
				),
				'header_icon_padding'       => array(
					'top'    => '0',
					'right'  => '0',
					'bottom' => '0',
					'left'   => '0',
				),
				'header_icon_border_radius' => '0',
			),
		),
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'mts_header_social_share',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),
	array(
		'id'    => 'home_header_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Home Header Settings', 'citation' ),
	),
	array(
		'id'       => 'home_header_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Home Header Background', 'citation' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'citation' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),
	array(
		'id'    => 'header_container_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Header Container', 'citation' ),
	),
	array(
		'id'       => 'header_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Header Margin', 'citation' ),
		'sub_desc' => esc_html__( 'Set header margin from here.', 'citation' ),
		'left'     => false,
		'right'    => false,
		'std'      => array(
			'top'    => '0',
			'bottom' => '0',
		),
	),
	array(
		'id'       => 'header_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Header Padding', 'citation' ),
		'sub_desc' => esc_html__( 'Set header padding from here.', 'citation' ),
		'left'     => false,
		'right'    => false,
		'std'      => array(
			'top'    => citation_px_to_rem( '58px' ),
			'bottom' => citation_px_to_rem( '58px' ),
		),
	),
	array(
		'id'       => 'header_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'citation' ),
		'sub_desc' => esc_html__( 'Select border.', 'citation' ),
	),
	array(
		'id'       => 'header_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Header Background', 'citation' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'citation' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '#ffffff',
			'use'           => 'upload',
			'image_pattern' => 'nobg',
			'image_upload'  => get_template_directory_uri() . '/images/header-bg.jpg',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),
	array(
		'id'         => 'header_layout2_nav_heading',
		'type'       => 'heading',
		'title'      => esc_html__( 'Header Layout2 Nav Section', 'citation' ),
		'dependency' => $header_layout2_dependency,
	),
	array(
		'id'         => 'header_layout2_nav_margin',
		'type'       => 'margin',
		'title'      => esc_html__( 'Layout2 Nav Margin', 'citation' ),
		'sub_desc'   => esc_html__( 'Set header layout2 navigation section margin from here.', 'citation' ),
		'left'       => false,
		'right'      => false,
		'std'        => array(
			'top'    => '0',
			'bottom' => '0',
		),
		'dependency' => $header_layout2_dependency,
	),
	array(
		'id'         => 'header_layout2_nav_border',
		'type'       => 'border',
		'title'      => esc_html__( 'Border', 'citation' ),
		'sub_desc'   => esc_html__( 'Select border.', 'citation' ),
		'dependency' => $header_layout2_dependency,
	),
	array(
		'id'         => 'header_layout2_nav_background',
		'type'       => 'background',
		'title'      => esc_html__( 'Layout2 Nav Background', 'citation' ),
		'sub_desc'   => esc_html__( 'Set background color, pattern and image of header layout2 navigation section from here.', 'citation' ),
		'options'    => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'        => array(
			'color'         => '#ffffff',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
		),
		'dependency' => $header_layout2_dependency,
	),
);
