<?php
/**
 * HomePage Feature Section
 *
 * @package Citation
 */

$menus['homepage']['child']['homepage-advanced-features'] = array(
	'title' => esc_html__( 'Advanced Features', 'citation' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the Advanced Features Section.', 'citation' ),
);

$sections['homepage-advanced-features'] = array(

	array(
		'id'        => 'advanced_feature_list',
		'type'      => 'group',
		'title'     => esc_html__( 'Advanced Features', 'citation' ),
		'sub_desc'  => esc_html__( 'Customize the Advanced Features from here.', 'citation' ),
		'groupname' => esc_html__( 'Advnced Features', 'citation' ), // Group name.
		'subfields' => array(
			array(
				'id'    => 'advanced_feature_title',
				'type'  => 'text',
				'title' => esc_html__( 'Title', 'citation' ),
			),
			array(
				'id'    => 'advanced_feature_content',
				'type'  => 'textarea',
				'title' => esc_html__( 'Content', 'citation' ),
			),
			array(
				'id'    => 'advanced_feature_content_padding',
				'type'  => 'margin',
				'title' => esc_html__( 'Content Padding', 'citation' ),
			),
			array(
				'id'       => 'advanced_feature_alignment',
				'type'     => 'select',
				'title'    => esc_html__( 'Alignment', 'citation' ),
				'sub_desc' => esc_html__( 'Choose content and image alignment type to show in the Feature Section', 'citation' ),
				'options'  => array(
					'left'  => esc_html__( 'Content - Image', 'citation' ),
					'right' => esc_html__( 'Image - Content', 'citation' ),
				),
			),
			array(
				'id'       => 'advanced_feature_image',
				'type'     => 'upload',
				'title'    => esc_html__( 'Feature Background Image', 'citation' ),
				'sub_desc' => esc_html__( 'Select an image file for your feature area.', 'citation' ),
				'return'   => 'url',
			),
			array(
				'id'    => 'advanced_feature_button_text',
				'type'  => 'text',
				'title' => esc_html__( 'Button Text', 'citation' ),
			),
			array(
				'id'    => 'advanced_feature_button_url',
				'type'  => 'text',
				'title' => esc_html__( 'Button URL', 'citation' ),
			),
			array(
				'id'    => 'advanced_feature_button_color',
				'type'  => 'color',
				'title' => esc_html__( 'Button Color', 'citation' ),
			),
			array(
				'id'    => 'advanced_feature_button_bg',
				'type'  => 'color',
				'title' => esc_html__( 'Button Background', 'citation' ),
			),
			array(
				'id'    => 'advanced_feature_button_hover_color',
				'type'  => 'color',
				'title' => esc_html__( 'Button Hover Color', 'citation' ),
			),
			array(
				'id'    => 'advanced_feature_button_hover_bg',
				'type'  => 'color',
				'title' => esc_html__( 'Button Hover Background', 'citation' ),
			),
			array(
				'id'         => 'img_position_left',
				'type'       => 'margin',
				'title'      => esc_html__( 'Image Position', 'citation' ),
				'sub_desc'   => esc_html__( 'Set image position from here.', 'citation' ),
				'dependency' => array(
					'relation' => 'and',
					array(
						'field'      => 'advanced_feature_alignment',
						'value'      => 'left',
						'comparison' => '==',
					),
				),
			),
			array(
				'id'         => 'img_position_right',
				'type'       => 'margin',
				'title'      => esc_html__( 'Image Position', 'citation' ),
				'sub_desc'   => esc_html__( 'Set image position from here.', 'citation' ),
				'dependency' => array(
					'relation' => 'and',
					array(
						'field'      => 'advanced_feature_alignment',
						'value'      => 'right',
						'comparison' => '==',
					),
				),
			),
			array(
				'id'    => 'advanced_feature_margin',
				'type'  => 'margin',
				'title' => esc_html__( 'Section Margin', 'citation' ),
			),
			array(
				'id'    => 'advanced_feature_padding',
				'type'  => 'margin',
				'title' => esc_html__( 'Section Padding', 'citation' ),
			),
		),
		'std'       => array(
			'1' => array(
				'group_title'                         => '1',
				'group_sort'                          => '1',
				'advanced_feature_title'              => 'Transparent Pricing',
				'advanced_feature_content'            => 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation.',
				'advanced_feature_button_text'        => 'Check Out Our plans',
				'advanced_feature_button_url'         => '#',
				'advanced_feature_button_color'       => '#363a60',
				'advanced_feature_button_bg'          => '',
				'advanced_feature_button_hover_color' => citation_get_settings( 'primary_color_scheme' ),
				'advanced_feature_button_hover_bg'    => '',
				'advanced_feature_content_padding'    => array(
					'top'    => citation_px_to_rem( '40px' ),
					'right'  => citation_px_to_rem( '15px' ),
					'bottom' => citation_px_to_rem( '40px' ),
					'left'   => '0',
				),
				'advanced_feature_alignment'          => 'left',
				'advanced_feature_image'              => get_template_directory_uri() . '/images/advanced-features-1.jpg',
				'img_position_left'                   => array(
					'top'    => '0',
					'right'  => '-160px',
					'bottom' => 'auto',
					'left'   => 'auto',
				),
				'img_position_right'                  => array(
					'top'    => '0',
					'right'  => 'auto',
					'bottom' => 'auto',
					'left'   => '-160px',
				),
				'advanced_feature_margin'             => array(
					'top'    => citation_px_to_rem( '45px' ),
					'right'  => '0',
					'bottom' => '0',
					'left'   => '0',
				),
				'advanced_feature_padding'            => array(
					'top'    => citation_px_to_rem( '70px' ),
					'right'  => '0',
					'bottom' => citation_px_to_rem( '100px' ),
					'left'   => '0',
				),
			),
			'2' => array(
				'group_title'                         => '2',
				'group_sort'                          => '2',
				'advanced_feature_title'              => 'On-Demand Support',
				'advanced_feature_content'            => 'Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident.',
				'advanced_feature_button_text'        => 'Check Out Our plans',
				'advanced_feature_button_url'         => '#',
				'advanced_feature_button_color'       => citation_get_settings( 'primary_color_scheme' ),
				'advanced_feature_button_bg'          => '',
				'advanced_feature_button_hover_color' => '#f83682',
				'advanced_feature_button_hover_bg'    => '',
				'advanced_feature_content_padding'    => array(
					'top'    => citation_px_to_rem( '50px' ),
					'right'  => '0',
					'bottom' => citation_px_to_rem( '50px' ),
					'left'   => citation_px_to_rem( '15px' ),
				),
				'advanced_feature_alignment'          => 'right',
				'advanced_feature_image'              => get_template_directory_uri() . '/images/advanced-features-2.jpg',
				'img_position_left'                   => array(
					'top'    => '0',
					'right'  => '-160px',
					'bottom' => 'auto',
					'left'   => 'auto',
				),
				'img_position_right'                  => array(
					'top'    => '0',
					'right'  => 'auto',
					'bottom' => 'auto',
					'left'   => '-160px',
				),
				'advanced_feature_margin'             => array(
					'top'    => citation_px_to_rem( '90px' ),
					'right'  => '0',
					'bottom' => citation_px_to_rem( '30px' ),
					'left'   => '0',
				),
				'advanced_feature_padding'            => array(
					'top'    => citation_px_to_rem( '60px' ),
					'right'  => '0',
					'bottom' => citation_px_to_rem( '250px' ),
					'left'   => '0',
				),
			),
		),
	),

	array(
		'id'    => 'advanced_feature_typo_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Typography Settings', 'citation' ),
	),

	array(
		'id'    => 'advanced_feature_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Title Font', 'citation' ),
		'std'   => array(
			'preview-text'  => 'Title Font',
			'preview-color' => 'light',
			'font-family'   => 'Raleway',
			'font-weight'   => '700',
			'font-size'     => '32px',
			'line-height'   => '1.5',
			'color'         => '#363a60',
			'css-selectors' => '.advanced-feature-title',
		),
	),

	array(
		'id'    => 'advanced_feature_content_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Content Font', 'citation' ),
		'std'   => array(
			'preview-text'  => 'Lorem ipsum dolor sit amet, consectetur adipiscing',
			'preview-color' => 'light',
			'font-family'   => 'Raleway',
			'font-weight'   => '400',
			'font-size'     => '17px',
			'line-height'   => '1.706',
			'margin-top'    => '15px',
			'margin-bottom' => '32px',
			'color'         => '#686b88',
			'css-selectors' => '.advanced-feature-section p',
		),
	),

	array(
		'id'    => 'advanced_feature_styling_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Feature Styling Settings', 'citation' ),
	),

	array(
		'id'       => 'advanced_feature_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Feature Background', 'citation' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'citation' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '#ffffff',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),

);
