<?php
/**
 * HomePage CTA Section
 *
 * @package Citation
 */

$menus['homepage']['child']['homepage-cta'] = array(
	'title' => esc_html__( 'CTA', 'citation' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the CTA Section.', 'citation' ),
);

$sections['homepage-cta'] = array(
	array(
		'id'    => 'cta_title',
		'type'  => 'text',
		'title' => esc_html__( 'Title', 'citation' ),
		'std'   => 'Power Your Business Today',
	),
	array(
		'id'    => 'cta_text',
		'type'  => 'textarea',
		'title' => esc_html__( 'Text', 'citation' ),
		'std'   => 'Learn how you can leverage local intelligence to boost your business',
	),
	array(
		'id'    => 'cta_button_text',
		'type'  => 'text',
		'title' => esc_html__( 'Button Text', 'citation' ),
		'std'   => 'Book a Demo',
	),
	array(
		'id'    => 'cta_button_url',
		'type'  => 'text',
		'title' => esc_html__( 'Button URL', 'citation' ),
		'std'   => '#',
	),
	array(
		'id'    => 'cta_button_color',
		'type'  => 'color',
		'title' => esc_html__( 'Button Color', 'citation' ),
		'std'   => '#ffffff',
	),
	array(
		'id'    => 'cta_button_bg',
		'type'  => 'color',
		'title' => esc_html__( 'Button Background', 'citation' ),
		'std'   => citation_get_settings( 'primary_color_scheme' ),
	),
	array(
		'id'    => 'cta_button_hover_color',
		'type'  => 'color',
		'title' => esc_html__( 'Button Hover Color', 'citation' ),
		'std'   => '#ffffff',
	),
	array(
		'id'    => 'cta_button_hover_bg',
		'type'  => 'color',
		'title' => esc_html__( 'Button Hover Background', 'citation' ),
		'std'   => '#f83682',
	),
	array(
		'id'    => 'cta_typo_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Typography Settings', 'citation' ),
	),
	array(
		'id'    => 'cta_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Title Font', 'citation' ),
		'std'   => array(
			'preview-text'  => 'Title Font',
			'preview-color' => 'dark',
			'font-family'   => 'Raleway',
			'font-weight'   => '300',
			'font-size'     => '32px',
			'line-height'   => '1.5',
			'margin-bottom' => citation_px_to_rem( '0' ),
			'color'         => '#ffffff',
			'css-selectors' => '.cta-section h2',
		),
	),

	array(
		'id'    => 'cta_text_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Text Font', 'citation' ),
		'std'   => array(
			'preview-text'  => 'Lorem ipsum dolor sit amet, consectetur adipiscing',
			'preview-color' => 'dark',
			'font-family'   => 'Raleway',
			'font-weight'   => '400',
			'font-size'     => '17px',
			'line-height'   => '1.706',
			'margin-bottom' => citation_px_to_rem( '22px' ),
			'color'         => '#ffffff',
			'css-selectors' => '.cta-section p',
		),
	),

	array(
		'id'    => 'cta_styling_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'CTA Styling Settings', 'citation' ),
	),

	array(
		'id'       => 'cta_background',
		'type'     => 'background',
		'title'    => esc_html__( 'CTA Background', 'citation' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'citation' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '',
			'use'           => 'gradient',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#3a4dd3',
				'to'        => '#272396',
				'direction' => '-45deg',
			),
			'parallax'      => '0',
		),
	),
	array(
		'id'       => 'cta_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'citation' ),
		'sub_desc' => esc_html__( 'Set CTA section margin from here.', 'citation' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => citation_px_to_rem( '-100px' ),
			'left'   => '0',
		),
	),
	array(
		'id'       => 'cta_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'citation' ),
		'sub_desc' => esc_html__( 'Set CTA section padding from here.', 'citation' ),
		'std'      => array(
			'top'    => citation_px_to_rem( '75px' ),
			'right'  => '0',
			'bottom' => citation_px_to_rem( '75px' ),
			'left'   => '0',
		),
	),

);
