<?php
/**
 * HomePage Featured Section
 *
 * @package Citation
 */

$menus['homepage']['child']['homepage-featured'] = array(
	'title' => esc_html__( 'Featured', 'citation' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the Featured Section.', 'citation' ),
);

$sections['homepage-featured'] = array(

	array(
		'id'       => 'featured_title',
		'type'     => 'textarea',
		'title'    => esc_html__( 'Title', 'citation' ),
		'sub_desc' => esc_html__( 'Enter title for featured section.', 'citation' ),
		'std'      => 'Power Business with Location Intelligence',
	),
	array(
		'id'       => 'featured_content',
		'type'     => 'textarea',
		'title'    => esc_html__( 'Content', 'citation' ),
		'sub_desc' => esc_html__( 'Enter content for featured section.', 'citation' ),
		'std'      => 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation.',
	),
	array(
		'id'    => 'featured_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Title Font', 'citation' ),
		'std'   => array(
			'preview-text'  => 'Title Font',
			'preview-color' => 'dark',
			'font-family'   => 'Raleway',
			'font-weight'   => '300',
			'font-size'     => '40px',
			'line-height'   => '1.5',
			'margin-bottom' => '12px',
			'color'         => '#ffffff',
			'css-selectors' => '.featured-section h2',
		),
	),
	array(
		'id'    => 'featured_content_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Content Font', 'citation' ),
		'std'   => array(
			'preview-text'  => 'Content Font',
			'preview-color' => 'dark',
			'font-family'   => 'Raleway',
			'font-weight'   => '400',
			'font-size'     => '17px',
			'line-height'   => '1.706',
			'margin-bottom' => '32px',
			'color'         => '#ffffff',
			'css-selectors' => '.featured-section p',
		),
	),
	array(
		'id'    => 'featured_button_styling_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Featured Button Settings', 'citation' ),
	),
	array(
		'id'    => 'featured_button_text',
		'type'  => 'text',
		'title' => esc_html__( 'Button Text', 'citation' ),
		'std'   => 'Book a Demo',
	),
	array(
		'id'    => 'featured_button_url',
		'type'  => 'text',
		'title' => esc_html__( 'Button URL', 'citation' ),
		'std'   => '#',
	),
	array(
		'id'    => 'featured_button_text_color',
		'type'  => 'color',
		'title' => esc_html__( 'Button Text Color', 'citation' ),
		'std'   => '#ffffff',
	),
	array(
		'id'    => 'featured_button_bg_color',
		'type'  => 'color',
		'title' => esc_html__( 'Button Background Color', 'citation' ),
		'std'   => citation_get_settings( 'primary_color_scheme' ),
	),
	array(
		'id'    => 'featured_button_text_hover_color',
		'type'  => 'color',
		'title' => esc_html__( 'Button Text Hover Color', 'citation' ),
		'std'   => '#ffffff',
	),
	array(
		'id'    => 'featured_button_bg_hover_color',
		'type'  => 'color',
		'title' => esc_html__( 'Button Background Hover Color', 'citation' ),
		'std'   => '#f83682',
	),
	array(
		'id'       => 'featured_button_border_radius',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Button Border Radius', 'citation' ),
		'sub_desc' => esc_html__( 'Update border radius in px.', 'citation' ),
		'std'      => '24',
		'args'     => array( 'type' => 'number' ),
	),
	array(
		'id'    => 'featured_styling_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Featured Styling Settings', 'citation' ),
	),
	array(
		'id'       => 'featured_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Featured Background', 'citation' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'citation' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '',
			'use'           => 'upload',
			'image_pattern' => 'nobg',
			'image_upload'  => get_template_directory_uri() . '/images/featured-area.jpg',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),
	array(
		'id'       => 'featured_overlay',
		'type'     => 'background',
		'title'    => esc_html__( 'Featured Overlay Background', 'citation' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'citation' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '',
			'use'           => 'gradient',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#312e84',
				'to'        => '#3a4dd3',
				'direction' => '90deg',
			),
			'parallax'      => '0',
		),
	),
	array(
		'id'       => 'featured_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'citation' ),
		'sub_desc' => esc_html__( 'Set featured section margin from here.', 'citation' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'featured_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'citation' ),
		'sub_desc' => esc_html__( 'Set featured section padding from here.', 'citation' ),
		'std'      => array(
			'top'    => citation_px_to_rem( '240px' ),
			'right'  => '0',
			'bottom' => citation_px_to_rem( '120px' ),
			'left'   => '0',
		),
	),

);
