<?php
/**
 * HomePage Features Section
 *
 * @package Citation
 */

$menus['homepage']['child']['homepage-features'] = array(
	'title' => esc_html__( 'Features', 'citation' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the Features Section.', 'citation' ),
);

$sections['homepage-features'] = array(

	array(
		'id'    => 'features_heading_settings',
		'type'  => 'heading',
		'title' => esc_html__( 'Features Heading Settings', 'citation' ),
	),
	array(
		'id'       => 'features_heading',
		'type'     => 'textarea',
		'title'    => esc_html__( 'Heading', 'citation' ),
		'sub_desc' => esc_html__( 'Enter Heading from here.', 'citation' ),
		'std'      => 'Features that translate to direct business benefits',
	),
	array(
		'id'       => 'features_subheading',
		'type'     => 'textarea',
		'title'    => esc_html__( 'Sub Heading', 'citation' ),
		'sub_desc' => esc_html__( 'Enter Sub Heading from here.', 'citation' ),
		'std'      => 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco',
	),
	array(
		'id'    => 'features_heading_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Heading Font', 'citation' ),
		'std'   => array(
			'preview-text'  => 'Heading Font',
			'preview-color' => 'light',
			'font-family'   => 'Raleway',
			'font-weight'   => '300',
			'font-size'     => '32px',
			'color'         => '#363a60',
			'css-selectors' => '.features-section header h2',
		),
	),
	array(
		'id'    => 'features_subheading_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Sub Heading Font', 'citation' ),
		'std'   => array(
			'preview-text'  => 'Sub Heading Font',
			'preview-color' => 'light',
			'font-family'   => 'Raleway',
			'font-weight'   => '400',
			'font-size'     => '17px',
			'line-height'   => '1.706',
			'color'         => '#363a60',
			'css-selectors' => '.features-section header p',
		),
	),
	array(
		'id'    => 'features_list_settings',
		'type'  => 'heading',
		'title' => esc_html__( 'Features Settings', 'citation' ),
	),
	array(
		'id'        => 'features_list',
		'type'      => 'group',
		'title'     => esc_html__( 'Features', 'citation' ),
		'sub_desc'  => esc_html__( 'Customize the Features from here.', 'citation' ),
		'groupname' => esc_html__( 'Feature', 'citation' ), // Group name.
		'subfields' => array(
			array(
				'id'    => 'feature_title',
				'type'  => 'text',
				'title' => esc_html__( 'Title', 'citation' ),
			),
			array(
				'id'    => 'feature_title_color',
				'type'  => 'color',
				'title' => esc_html__( 'Title Color', 'citation' ),
			),
			array(
				'id'    => 'feature_text',
				'type'  => 'textarea',
				'title' => esc_html__( 'Text', 'citation' ),
			),
			array(
				'id'    => 'feature_text_color',
				'type'  => 'color',
				'title' => esc_html__( 'Text Color', 'citation' ),
			),
			array(
				'id'    => 'feature_icon',
				'type'  => 'icon_select',
				'title' => esc_html__( 'Select Icon', 'citation' ),
			),
			array(
				'id'       => 'feature_icon_color',
				'type'     => 'background',
				'title'    => esc_html__( 'Background Gradient', 'citation' ),
				'sub_desc' => esc_html__( 'Set background Gradient from here.', 'citation' ),
				'options'  => array(
					'color'         => false,            // false to disable, not needed otherwise.
					'image_pattern' => false, // false to disable, array of options otherwise ( required !!! ).
					'image_upload'  => false,            // false to disable, not needed otherwise.
					'repeat'        => false,       // false to disable, array of options to override default ( optional ).
					'attachment'    => false,       // false to disable, array of options to override default ( optional ).
					'position'      => false,       // false to disable, array of options to override default ( optional ).
					'size'          => false,       // false to disable, array of options to override default ( optional ).
					'gradient'      => '',            // false to disable, not needed otherwise.
					'parallax'      => false,       // false to disable, array of options to override default ( optional ).
				),
			),
		),
		'std'       => array(
			'1' => array(
				'group_title'         => '1',
				'group_sort'          => '1',
				'feature_icon'        => 'location-arrow',
				'feature_icon_color'  => array(
					'use'      => 'gradient',
					'gradient' => array(
						'from'      => '#3a4dd3',
						'to'        => '#272396',
						'direction' => '-45deg',
					),
					'parallax' => '0',
				),
				'feature_title'       => 'Manage Locations',
				'feature_title_color' => '#363a60',
				'feature_text'        => 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.',
				'feature_text_color'  => '#363a60',
			),
			'2' => array(
				'group_title'         => '2',
				'group_sort'          => '2',
				'feature_icon'        => 'map-marker',
				'feature_icon_color'  => array(
					'use'      => 'gradient',
					'gradient' => array(
						'from'      => '#3a4dd3',
						'to'        => '#272396',
						'direction' => '-45deg',
					),
					'parallax' => '0',
				),
				'feature_title'       => 'Data Security',
				'feature_title_color' => '#363a60',
				'feature_text'        => 'Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur',
				'feature_text_color'  => '#363a60',
			),
			'3' => array(
				'group_title'         => '3',
				'group_sort'          => '3',
				'feature_icon'        => 'map',
				'feature_icon_color'  => array(
					'use'      => 'gradient',
					'gradient' => array(
						'from'      => '#3a4dd3',
						'to'        => '#272396',
						'direction' => '-45deg',
					),
					'parallax' => '0',
				),
				'feature_title'       => 'Fix Bad Data',
				'feature_title_color' => '#363a60',
				'feature_text'        => 'Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.',
				'feature_text_color'  => '#363a60',
			),
			'4' => array(
				'group_title'         => '4',
				'group_sort'          => '4',
				'feature_icon'        => 'bookmark',
				'feature_icon_color'  => array(
					'use'      => 'gradient',
					'gradient' => array(
						'from'      => '#3a4dd3',
						'to'        => '#272396',
						'direction' => '-45deg',
					),
					'parallax' => '0',
				),
				'feature_title'       => 'Be Found Everywhere',
				'feature_title_color' => '#363a60',
				'feature_text'        => 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.',
				'feature_text_color'  => '#363a60',
			),
			'5' => array(
				'group_title'         => '5',
				'group_sort'          => '5',
				'feature_icon'        => 'crop',
				'feature_icon_color'  => array(
					'use'      => 'gradient',
					'gradient' => array(
						'from'      => '#3a4dd3',
						'to'        => '#272396',
						'direction' => '-45deg',
					),
					'parallax' => '0',
				),
				'feature_title'       => 'Improve Star Ratings',
				'feature_title_color' => '#363a60',
				'feature_text'        => 'Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur',
				'feature_text_color'  => '#363a60',
			),
			'6' => array(
				'group_title'         => '6',
				'group_sort'          => '6',
				'feature_icon'        => 'folder-open',
				'feature_icon_color'  => array(
					'use'      => 'gradient',
					'gradient' => array(
						'from'      => '#3a4dd3',
						'to'        => '#272396',
						'direction' => '-45deg',
					),
					'parallax' => '0',
				),
				'feature_title'       => 'Build Reputation',
				'feature_title_color' => '#363a60',
				'feature_text'        => 'Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.',
				'feature_text_color'  => '#363a60',
			),
			'7' => array(
				'group_title'         => '7',
				'group_sort'          => '7',
				'feature_icon'        => 'sliders',
				'feature_icon_color'  => array(
					'use'      => 'gradient',
					'gradient' => array(
						'from'      => '#3a4dd3',
						'to'        => '#272396',
						'direction' => '-45deg',
					),
					'parallax' => '0',
				),
				'feature_title'       => 'Get Insights',
				'feature_title_color' => '#363a60',
				'feature_text'        => 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.',
				'feature_text_color'  => '#363a60',
			),
			'8' => array(
				'group_title'         => '8',
				'group_sort'          => '8',
				'feature_icon'        => 'exchange',
				'feature_icon_color'  => array(
					'use'      => 'gradient',
					'gradient' => array(
						'from'      => '#3a4dd3',
						'to'        => '#272396',
						'direction' => '-45deg',
					),
					'parallax' => '0',
				),
				'feature_title'       => 'Measure Progress',
				'feature_title_color' => '#363a60',
				'feature_text'        => 'Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur',
				'feature_text_color'  => '#363a60',
			),
		),
	),

	array(
		'id'    => 'features_list_title_font',
		'type'  => 'typography',
		'color' => false,
		'title' => esc_html__( 'Features Title Font', 'citation' ),
		'std'   => array(
			'preview-text'  => 'Features Title',
			'preview-color' => 'light',
			'font-family'   => 'Raleway',
			'font-weight'   => '700',
			'font-size'     => '20px',
			'line-height'   => '1.45',
			'css-selectors' => '.features-section h3',
		),
	),
	array(
		'id'    => 'features_list_text_font',
		'type'  => 'typography',
		'color' => false,
		'title' => esc_html__( 'Features Text Font', 'citation' ),
		'std'   => array(
			'preview-text'  => 'Features Text',
			'preview-color' => 'light',
			'font-family'   => 'Raleway',
			'font-weight'   => '400',
			'font-size'     => '15px',
			'line-height'   => '1.9334',
			'css-selectors' => '.features-section p',
		),
	),

	array(
		'id'    => 'features_styling_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Features Styling Settings', 'citation' ),
	),

	array(
		'id'       => 'features_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Features Background', 'citation' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'citation' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '#ffffff',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),

	array(
		'id'       => 'features_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'citation' ),
		'sub_desc' => esc_html__( 'Set features section margin from here.', 'citation' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'features_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'citation' ),
		'sub_desc' => esc_html__( 'Set features section padding from here.', 'citation' ),
		'std'      => array(
			'top'    => citation_px_to_rem( '30px' ),
			'right'  => '0',
			'bottom' => citation_px_to_rem( '25px' ),
			'left'   => '0',
		),
	),

);
