<?php
/**
 * HomePage Locations Section
 *
 * @package Citation
 */

$menus['homepage']['child']['homepage-locations'] = array(
	'title' => esc_html__( 'Locations', 'citation' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the Locations Section.', 'citation' ),
);

$sections['homepage-locations'] = array(
	array(
		'id'       => 'locations_styles',
		'type'     => 'radio_img',
		'title'    => esc_html__( 'Locations Layout', 'citation' ),
		'sub_desc' => wp_kses( __( 'Choose the <strong>Locations Layout</strong> for your site.', 'citation' ), array( 'strong' => '' ) ),
		'options'  => array(
			'default'    => array( 'img' => $uri . 'locations/location-1.jpg' ),
			'locations2' => array( 'img' => $uri . 'locations/location-2.jpg' ),
			'locations3' => array( 'img' => $uri . 'locations/location-3.jpg' ),
		),
		'std'      => 'default',
	),
	array(
		'id'    => 'locations_heading',
		'type'  => 'text',
		'title' => esc_html__( 'Heading', 'citation' ),
		'std'   => 'Easy scale with multiple locations',
	),
	array(
		'id'    => 'locations_subheading',
		'type'  => 'textarea',
		'title' => esc_html__( 'Subheading', 'citation' ),
		'std'   => 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation, sed do eiusmod tempor incididunt ut labore.',
	),
	array(
		'id'       => 'locations_image',
		'type'     => 'upload',
		'title'    => esc_html__( 'Locations Image', 'citation' ),
		'sub_desc' => esc_html__( 'Select an image file for your Locations Image.', 'citation' ),
		'return'   => 'url',
		'std'      => get_template_directory_uri() . '/images/Locations.png',
	),
	array(
		'id'    => 'locations_button_text',
		'type'  => 'text',
		'title' => esc_html__( 'Button Text', 'citation' ),
		'std'   => 'Book a Demo',
	),
	array(
		'id'    => 'locations_button_url',
		'type'  => 'text',
		'title' => esc_html__( 'Button URL', 'citation' ),
		'std'   => '#',
	),
	array(
		'id'    => 'locations_button_color',
		'type'  => 'color',
		'title' => esc_html__( 'Button Color', 'citation' ),
		'std'   => '#ffffff',
	),
	array(
		'id'    => 'locations_button_bg',
		'type'  => 'color',
		'title' => esc_html__( 'Button Background', 'citation' ),
		'std'   => citation_get_settings( 'primary_color_scheme' ),
	),
	array(
		'id'    => 'locations_button_hover_color',
		'type'  => 'color',
		'title' => esc_html__( 'Button Hover Color', 'citation' ),
		'std'   => '#ffffff',
	),
	array(
		'id'    => 'locations_button_hover_bg',
		'type'  => 'color',
		'title' => esc_html__( 'Button Hover Background', 'citation' ),
		'std'   => '#f83682',
	),
	array(
		'id'    => 'locations_typo_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Typography Settings', 'citation' ),
	),
	array(
		'id'    => 'locations_heading_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Heading Font', 'citation' ),
		'std'   => array(
			'preview-text'  => 'Heading Font',
			'preview-color' => 'light',
			'font-family'   => 'Raleway',
			'font-weight'   => '300',
			'font-size'     => '32px',
			'line-height'   => '1.5',
			'margin-bottom' => citation_px_to_rem( '15px' ),
			'color'         => '#363a60',
			'css-selectors' => '.locations-section h2',
		),
	),

	array(
		'id'    => 'locations_subheading_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Subheading Font', 'citation' ),
		'std'   => array(
			'preview-text'  => 'Lorem ipsum dolor sit amet, consectetur adipiscing',
			'preview-color' => 'light',
			'font-family'   => 'Raleway',
			'font-weight'   => '400',
			'font-size'     => '17px',
			'line-height'   => '1.706',
			'margin-bottom' => citation_px_to_rem( '32px' ),
			'color'         => '#686b88',
			'css-selectors' => '.locations-section p',
		),
	),

	array(
		'id'    => 'locations_styling_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Feature Styling Settings', 'citation' ),
	),

	array(
		'id'       => 'locations_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Locations Background', 'citation' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'citation' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '#ffffff',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),
	array(
		'id'       => 'locations_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'citation' ),
		'sub_desc' => esc_html__( 'Set Locations section margin from here.', 'citation' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'locations_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'citation' ),
		'sub_desc' => esc_html__( 'Set Locations section padding from here.', 'citation' ),
		'std'      => array(
			'top'    => citation_px_to_rem( '70px' ),
			'right'  => '0',
			'bottom' => citation_px_to_rem( '75px' ),
			'left'   => '0',
		),
	),

);
