<?php
/**
 * HomePage Services Section
 *
 * @package Citation
 */

$menus['homepage']['child']['homepage-services'] = array(
	'title' => esc_html__( 'Services', 'citation' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the Services Section.', 'citation' ),
);

$sections['homepage-services'] = array(

	array(
		'id'    => 'services_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Services Settings', 'citation' ),
	),
	array(
		'id'       => 'services_heading',
		'type'     => 'textarea',
		'title'    => esc_html__( 'Heading', 'citation' ),
		'sub_desc' => esc_html__( 'Enter Heading from here.', 'citation' ),
		'std'      => 'Power your business with location intelligence',
	),
	array(
		'id'    => 'services_subheading',
		'type'  => 'textarea',
		'title' => esc_html__( 'Subheading', 'citation' ),
		'std'   => '',
	),
	array(
		'id'    => 'services_heading_settings',
		'type'  => 'heading',
		'title' => esc_html__( 'Services Settings', 'citation' ),
	),
	array(
		'id'        => 'services_list',
		'type'      => 'group',
		'title'     => esc_html__( 'Services', 'citation' ),
		'sub_desc'  => esc_html__( 'Customize the Services from here.', 'citation' ),
		'groupname' => esc_html__( 'Service', 'citation' ), // Group name.
		'subfields' => array(
			array(
				'id'    => 'service_title',
				'type'  => 'text',
				'title' => esc_html__( 'Title', 'citation' ),
			),
			array(
				'id'    => 'service_title_color',
				'type'  => 'color',
				'title' => esc_html__( 'Title Color', 'citation' ),
			),
			array(
				'id'    => 'service_text',
				'type'  => 'textarea',
				'title' => esc_html__( 'Text', 'citation' ),
			),
			array(
				'id'    => 'service_text_color',
				'type'  => 'color',
				'title' => esc_html__( 'Text Color', 'citation' ),
			),
			array(
				'id'    => 'service_icon',
				'type'  => 'icon_select',
				'title' => esc_html__( 'Select Icon', 'citation' ),
			),
			array(
				'id'       => 'service_icon_color',
				'type'     => 'background',
				'title'    => esc_html__( 'Background Gradient', 'citation' ),
				'sub_desc' => esc_html__( 'Set background Gradient from here.', 'citation' ),
				'options'  => array(
					'color'         => false,            // false to disable, not needed otherwise.
					'image_pattern' => false, // false to disable, array of options otherwise ( required !!! ).
					'image_upload'  => false,            // false to disable, not needed otherwise.
					'repeat'        => false,       // false to disable, array of options to override default ( optional ).
					'attachment'    => false,       // false to disable, array of options to override default ( optional ).
					'position'      => false,       // false to disable, array of options to override default ( optional ).
					'size'          => false,       // false to disable, array of options to override default ( optional ).
					'gradient'      => '',            // false to disable, not needed otherwise.
					'parallax'      => false,       // false to disable, array of options to override default ( optional ).
				),
			),
			array(
				'id'    => 'service_button_text',
				'type'  => 'text',
				'title' => esc_html__( 'Link Text', 'citation' ),
			),
			array(
				'id'    => 'service_button_url',
				'type'  => 'text',
				'title' => esc_html__( 'Link URL', 'citation' ),
			),
			array(
				'id'    => 'service_button_color',
				'type'  => 'color',
				'title' => esc_html__( 'Button Color', 'citation' ),
			),
			array(
				'id'    => 'service_button_bg',
				'type'  => 'color',
				'title' => esc_html__( 'Button Background', 'citation' ),
			),
			array(
				'id'    => 'service_button_hover_color',
				'type'  => 'color',
				'title' => esc_html__( 'Button Hover Color', 'citation' ),
			),
			array(
				'id'    => 'service_button_hover_bg',
				'type'  => 'color',
				'title' => esc_html__( 'Button Hover Background', 'citation' ),
			),
		),
		'std'       => array(
			'1' => array(
				'group_title'                => '1',
				'group_sort'                 => '1',
				'service_icon'               => 'location-arrow',
				'service_icon_color'         => array(
					'use'      => 'gradient',
					'gradient' => array(
						'from'      => '#3a4dd3',
						'to'        => '#272396',
						'direction' => '-45deg',
					),
					'parallax' => '0',
				),
				'service_title'              => 'Single Location Business',
				'service_title_color'        => '#363a60',
				'service_text'               => 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.',
				'service_text_color'         => '#363a60',
				'service_button_text'        => 'Build Your Presence',
				'service_button_url'         => '#',
				'service_button_color'       => '#ffffff',
				'service_button_bg'          => citation_get_settings( 'primary_color_scheme' ),
				'service_button_hover_color' => '#ffffff',
				'service_button_hover_bg'    => '#f83682',
			),
			'2' => array(
				'group_title'                => '2',
				'group_sort'                 => '2',
				'service_icon'               => 'map-marker',
				'service_icon_color'         => array(
					'use'      => 'gradient',
					'gradient' => array(
						'from'      => '#3a4dd3',
						'to'        => '#272396',
						'direction' => '-45deg',
					),
					'parallax' => '0',
				),
				'service_title'              => 'Multi Location Business',
				'service_title_color'        => '#363a60',
				'service_text'               => 'Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur',
				'service_text_color'         => '#363a60',
				'service_button_text'        => 'Build Your Presence',
				'service_button_url'         => '#',
				'service_button_color'       => '#ffffff',
				'service_button_bg'          => citation_get_settings( 'primary_color_scheme' ),
				'service_button_hover_color' => '#ffffff',
				'service_button_hover_bg'    => '#f83682',
			),
			'3' => array(
				'group_title'                => '3',
				'group_sort'                 => '3',
				'service_icon'               => 'map',
				'service_icon_color'         => array(
					'use'      => 'gradient',
					'gradient' => array(
						'from'      => '#3a4dd3',
						'to'        => '#272396',
						'direction' => '-45deg',
					),
					'parallax' => '0',
				),
				'service_title'              => 'Marketing Location Business',
				'service_title_color'        => '#363a60',
				'service_text'               => 'Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.',
				'service_text_color'         => '#363a60',
				'service_button_text'        => 'Build Your Presence',
				'service_button_url'         => '#',
				'service_button_color'       => '#ffffff',
				'service_button_bg'          => citation_get_settings( 'primary_color_scheme' ),
				'service_button_hover_color' => '#ffffff',
				'service_button_hover_bg'    => '#f83682',
			),
		),
	),
	array(
		'id'    => 'services_typo_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Typography Settings', 'citation' ),
	),
	array(
		'id'    => 'services_heading_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Heading Font', 'citation' ),
		'std'   => array(
			'preview-text'  => 'Heading Font',
			'preview-color' => 'light',
			'font-family'   => 'Raleway',
			'font-weight'   => '300',
			'font-size'     => '32px',
			'color'         => '#363a60',
			'css-selectors' => '.services-section header h2',
		),
	),
	array(
		'id'    => 'services_subheading_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Subheading Font', 'citation' ),
		'std'   => array(
			'preview-text'  => 'Lorem ipsum dolor sit amet, consectetur adipiscing',
			'preview-color' => 'light',
			'font-family'   => 'Raleway',
			'font-weight'   => '400',
			'font-size'     => '17px',
			'line-height'   => '1.706',
			'margin-bottom' => citation_px_to_rem( '35px' ),
			'color'         => '#686b88',
			'css-selectors' => '.services-section p',
		),
	),
	array(
		'id'    => 'services_list_title_font',
		'type'  => 'typography',
		'color' => false,
		'title' => esc_html__( 'Services Title Font', 'citation' ),
		'std'   => array(
			'preview-text'  => 'Services Title',
			'preview-color' => 'light',
			'font-family'   => 'Raleway',
			'font-weight'   => '700',
			'font-size'     => '20px',
			'line-height'   => '1.45',
			'css-selectors' => '.services-section h3',
		),
	),
	array(
		'id'    => 'services_list_text_font',
		'type'  => 'typography',
		'color' => false,
		'title' => esc_html__( 'Services Text Font', 'citation' ),
		'std'   => array(
			'preview-text'  => 'Services Text',
			'preview-color' => 'light',
			'font-family'   => 'Raleway',
			'font-weight'   => '400',
			'font-size'     => '17px',
			'line-height'   => '1.706',
			'margin-bottom' => citation_px_to_rem( '40px' ),
			'css-selectors' => '.services-section p',
		),
	),
	array(
		'id'    => 'services_styling_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Services Styling Settings', 'citation' ),
	),
	array(
		'id'       => 'services_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Services Background', 'citation' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'citation' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '#ffffff',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),
	array(
		'id'       => 'services_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'citation' ),
		'sub_desc' => esc_html__( 'Set services section margin from here.', 'citation' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'services_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'citation' ),
		'sub_desc' => esc_html__( 'Set services section padding from here.', 'citation' ),
		'std'      => array(
			'top'    => citation_px_to_rem( '150px' ),
			'right'  => '0',
			'bottom' => citation_px_to_rem( '30px' ),
			'left'   => '0',
		),
	),

);
