<?php
/**
 * Single Comments
 *
 * @package Citation
 */

$menus['single-comments'] = array(
	'icon'  => 'fa-comment-o',
	'title' => esc_html__( 'Comments Section', 'citation' ),
	'desc'  => esc_html__( 'From here, you can control the appearance and functionality of Comments box in single posts page.', 'citation' ),
);

$author_dependency = array(
	'relation' => 'and',
	array(
		'field'      => 'author_comment',
		'value'      => '1',
		'comparison' => '==',
	),
);

$sections['single-comments'] = array(

	array(
		'id'    => 'comments_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'General Settings', 'citation' ),
	),
	array(
		'id'       => 'mts_comment_date',
		'type'     => 'switch',
		'title'    => esc_html__( 'Date in Comments', 'citation' ),
		'sub_desc' => esc_html__( 'Use this button to show the date for comments.', 'citation' ),
		'std'      => '1',
	),
	array(
		'id'       => 'comments_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Comments Background', 'citation' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image for Comments from here.', 'citation' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '#ffffff',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),
	array(
		'id'       => 'comments_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'citation' ),
		'sub_desc' => esc_html__( 'Set Comments box margin from here.', 'citation' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => citation_px_to_rem( '70px' ),
			'left'   => '0',
		),
	),
	array(
		'id'       => 'comments_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'citation' ),
		'sub_desc' => esc_html__( 'Set Comments box padding from here.', 'citation' ),
		'std'      => array(
			'top'    => citation_px_to_rem( '50px' ),
			'right'  => citation_px_to_rem( '50px' ),
			'bottom' => citation_px_to_rem( '50px' ),
			'left'   => citation_px_to_rem( '50px' ),
		),
	),
	array(
		'id'    => 'comments_list_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'List Settings', 'citation' ),
	),
	array(
		'id'       => 'comments_list_image_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Image Margin', 'citation' ),
		'sub_desc' => esc_html__( 'Set image margin from here.', 'citation' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '32px',
			'bottom' => '10px',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'comments_list_image_border_radius',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Comment Image Border Radius', 'citation' ),
		'sub_desc' => esc_html__( 'Set comment image border radius from here.', 'citation' ),
		'std'      => '50',
		'args'     => array( 'type' => 'number' ),
	),
	array(
		'id'    => 'comments_author_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Author Comments Settings', 'citation' ),
	),
	array(
		'id'       => 'author_comment',
		'type'     => 'switch',
		'title'    => esc_html__( 'Highlight Author Comment', 'citation' ),
		'sub_desc' => esc_html__( 'Use this button to highlight author comments.', 'citation' ),
		'std'      => '1',
	),
	array(
		'id'         => 'author_comment_bg',
		'type'       => 'color',
		'title'      => esc_html__( 'Author Comment Background', 'citation' ),
		'sub_desc'   => esc_html__( 'Use this option to change background color.', 'citation' ),
		'std'        => '#fafbfc',
		'dependency' => $author_dependency,
	),
	array(
		'id'         => 'comments_list_author_padding',
		'type'       => 'margin',
		'title'      => esc_html__( 'Author Comment Padding', 'citation' ),
		'sub_desc'   => esc_html__( 'Set author comments padding from here.', 'citation' ),
		'std'        => array(
			'top'    => '18px',
			'right'  => '20px',
			'bottom' => '32px',
			'left'   => '29px',
		),
		'dependency' => $author_dependency,
	),
	array(
		'id'    => 'commentsAdd_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Respond Section', 'citation' ),
	),
	array(
		'id'       => 'commentsAdd_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'citation' ),
		'sub_desc' => esc_html__( 'Set Respond section margin from here.', 'citation' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => citation_px_to_rem( '20px' ),
			'left'   => '0',
		),
	),
	array(
		'id'    => 'comments_typo_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Comments Typography Settings', 'citation' ),
	),
	array(
		'id'    => 'comments_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Comments Title Font', 'citation' ),
		'std'   => array(
			'preview-text'   => 'Author Name',
			'preview-color'  => 'light',
			'font-family'    => 'Raleway',
			'font-weight'    => '700',
			'font-size'      => '13px',
			'color'          => '#363a60',
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '#comments .fn',
		),
	),
	array(
		'id'    => 'comments_meta_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Comments Meta Info Font', 'citation' ),
		'std'   => array(
			'preview-text'   => '4 Months Ago',
			'preview-color'  => 'light',
			'font-family'    => 'Raleway',
			'font-weight'    => '700',
			'font-size'      => '13px',
			'color'          => '#cdced7',
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '#comments .ago',
		),
	),
	array(
		'id'    => 'comments_text_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Comments Text Font', 'citation' ),
		'std'   => array(
			'preview-text'  => 'Comments Text',
			'preview-color' => 'light',
			'font-family'   => 'Raleway',
			'font-weight'   => '400',
			'font-size'     => '14px',
			'line-height'   => '2.1428',
			'color'         => '#363a60',
			'css-selectors' => '.commentmetadata .commenttext p',
		),
	),
	array(
		'id'    => 'comments_reply_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Comments Reply Font', 'citation' ),
		'std'   => array(
			'preview-text'   => 'Comments Reply',
			'preview-color'  => 'light',
			'font-family'    => 'Raleway',
			'font-weight'    => '700',
			'font-size'      => '13px',
			'line-height'    => '2.30',
			'color'          => citation_get_settings( 'primary_color_scheme' ),
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.reply a',
		),
	),
);
