<?php
/**
 * Single Related Posts
 *
 * @package Citation
 */

$menus['single-related'] = array(
	'icon'  => 'fa-sitemap',
	'title' => esc_html__( 'Related Posts', 'citation' ),
	'desc'  => esc_html__( 'From here, you can control the appearance and functionality of related posts in single posts page.', 'citation' ),
);

$readmorebtn = array(
	'relation' => 'and',
	array(
		'field'      => 'related_readmore_button',
		'value'      => '1',
		'comparison' => '==',
	),
);

$sections['single-related'] = array(

	array(
		'id'       => 'related_post_title',
		'type'     => 'text',
		'title'    => esc_html__( 'Related Posts Title', 'citation' ),
		'sub_desc' => esc_html__( 'Enter the title text to show in the related posts section.', 'citation' ),
		'std'      => 'You May Also Like',
	),

	array(
		'id'       => 'related_posts_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Related Posts Background', 'citation' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'citation' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),

	array(
		'id'       => 'related_posts_layouts',
		'type'     => 'radio_img',
		'title'    => esc_html__( 'Related Posts Layouts', 'citation' ),
		'sub_desc' => esc_html__( 'Choose the Related Posts layouts for your site.', 'citation' ),
		'options'  => array(
			'default'  => array( 'img' => $uri . 'related/r1.jpg' ),
			'related2' => array( 'img' => $uri . 'related/r2.jpg' ),
			'related3' => array( 'img' => $uri . 'related/r3.jpg' ),
			'related5' => array( 'img' => $uri . 'related/r5.jpg' ),
			'related6' => array( 'img' => $uri . 'related/r6.jpg' ),
		),
		'std'      => 'related2',
	),

	array(
		'id'         => 'related_posts_grid',
		'type'       => 'select',
		'class'      => 'small',
		'title'      => esc_html__( 'Grid', 'citation' ),
		'sub_desc'   => esc_html__( 'Select the number of grid for Related Posts.', 'citation' ),
		'options'    => array(
			'grid2' => esc_html__( '2', 'citation' ),
			'grid3' => esc_html__( '3', 'citation' ),
			'grid4' => esc_html__( '4', 'citation' ),
			'grid5' => esc_html__( '5', 'citation' ),
		),
		'std'        => 'grid2',
		'dependency' => array(
			'relation' => 'or',
			array(
				'field'      => 'related_posts_layouts',
				'value'      => 'default',
				'comparison' => '==',
			),
		),
	),

	array(
		'id'       => 'mts_related_postsnum',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Number of related posts', 'citation' ),
		'sub_desc' => esc_html__( 'Enter the number of posts to show in the related posts section.', 'citation' ),
		'std'      => '3',
		'args'     => array(
			'type' => 'number',
		),
	),

	array(
		'id'         => 'related_excerpt',
		'type'       => 'text',
		'class'      => 'small-text',
		'title'      => esc_html__( 'Excerpt Length', 'magnus' ),
		'sub_desc'   => esc_html__( 'Max lenght is 55 Words.', 'magnus' ),
		'args'       => array( 'type' => 'number' ),
		'std'        => '12',
		'dependency' => array(
			'relation' => 'or',
			array(
				'field'      => 'related_posts_layouts',
				'value'      => 'default',
				'comparison' => '==',
			),
			array(
				'field'      => 'related_posts_layouts',
				'value'      => 'related2',
				'comparison' => '==',
			),
			array(
				'field'      => 'related_posts_layouts',
				'value'      => 'related5',
				'comparison' => '==',
			),
		),
	),

	array(
		'id'         => 'related_posts_adcode',
		'type'       => 'ace_editor',
		'mode'       => 'html',
		'title'      => esc_html__( 'Related Posts Ad', 'citation' ),
		'sub_desc'   => esc_html__( 'Paste your Adsense, BSA or other ad code here to show ads in Related Posts Area.', 'citation' ),
		'dependency' => array(
			'relation' => 'or',
			array(
				'field'      => 'related_posts_layouts',
				'value'      => 'related5',
				'comparison' => '==',
			),
			array(
				'field'      => 'related_posts_layouts',
				'value'      => 'related6',
				'comparison' => '==',
			),
		),
	),

	array(
		'id'       => 'related_posts_position',
		'type'     => 'button_set',
		'title'    => esc_html__( 'Related Posts Position', 'citation' ),
		'sub_desc' => esc_html__( 'Choose the position for related posts, below content will be Full width', 'citation' ),
		'options'  => array(
			'default' => esc_html__( 'Default', 'citation' ),
			'full'    => esc_html__( 'Below Content', 'citation' ),
		),
		'std'      => 'default',
	),

	array(
		'id'       => 'mts_related_headline_meta_info',
		'type'     => 'layout2',
		// translators: title.
		'title'    => esc_html__( 'Related Posts Meta Info', 'citation' ),
		// translators: description.
		'sub_desc' => esc_html__( 'Organize how you want the post meta info to appear on Related Posts', 'citation' ),
		'options'  => array(
			'enabled'  => array(),
			'disabled' => array(
				'author'   => array(
					'label'     => esc_html__( 'Author Name', 'citation' ),
					'subfields' => array(
						array(
							'id'    => 'mts_meta_info_author_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'citation' ),
						),
					),
				),
				'date'     => array(
					'label'     => esc_html__( 'Date', 'citation' ),
					'subfields' => array(
						array(
							'id'    => 'mts_meta_info_date_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'citation' ),
						),
					),
				),
				'comment'  => array(
					'label'     => esc_html__( 'Comment Count', 'citation' ),
					'subfields' => array(
						array(
							'id'    => 'mts_meta_info_comment_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'citation' ),
						),
					),
				),
				'category' => array(
					'label'     => esc_html__( 'Categories', 'citation' ),
					'subfields' => array(
						array(
							'id'    => 'mts_meta_info_category_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'citation' ),
						),
					),
				),
			),
		),
		'std'      => array(
			'enabled'  => array(),
			'disabled' => array(
				'date'     => array(
					'label'     => esc_html__( 'Date', 'citation' ),
					'subfields' => array(
						array(
							'id'    => 'mts_meta_info_date_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'citation' ),
						),
					),
				),
				'comment'  => array(
					'label'     => esc_html__( 'Comment Count', 'citation' ),
					'subfields' => array(
						array(
							'id'    => 'mts_meta_info_comment_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'citation' ),
						),
					),
				),
				'category' => array(
					'label'     => esc_html__( 'Categories', 'citation' ),
					'subfields' => array(
						array(
							'id'    => 'mts_meta_info_category_icon',
							'type'  => 'icon_select',
							'title' => esc_html__( 'Select Icon', 'citation' ),
						),
					),
				),
			),
		),
	),

	array(
		'id'       => 'related_posts_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'citation' ),
		'sub_desc' => esc_html__( 'Set related posts margin from here.', 'citation' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'related_posts_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'citation' ),
		'sub_desc' => esc_html__( 'Set related posts padding from here.', 'citation' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),

	array(
		'id'       => 'related_posts_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'citation' ),
		'sub_desc' => esc_html__( 'Select border', 'citation' ),
	),

	array(
		'id'    => 'related_posts_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Related Posts Title', 'citation' ),
		'std'   => array(
			'preview-text'  => 'Related Posts Title',
			'preview-color' => 'light',
			'font-family'   => 'Raleway',
			'font-weight'   => '700',
			'font-size'     => '20px',
			'line-height'   => '1.2',
			'margin-bottom' => citation_px_to_rem( '10px' ),
			'color'         => '#363a60',
			'css-selectors' => '.related-posts .title a',
		),
	),
	array(
		'id'    => 'related_posts_meta_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Related Posts Meta Info', 'citation' ),
		'std'   => array(
			'preview-text'  => 'Related Posts Meta Info Font',
			'preview-color' => 'light',
			'font-family'   => 'Raleway',
			'font-weight'   => '400',
			'font-size'     => '14px',
			'margin-bottom' => citation_px_to_rem( '10px' ),
			'line-height'   => '2',
			'color'         => '#363a60',
			'css-selectors' => '.related-posts .post-info, .related-posts .post-info a',
		),
	),
	array(
		'id'         => 'related_posts_text_font',
		'type'       => 'typography',
		'title'      => esc_html__( 'Related Posts Text', 'citation' ),
		'std'        => array(
			'preview-text'  => 'Related Posts Text',
			'preview-color' => 'light',
			'font-family'   => 'Raleway',
			'font-weight'   => '400',
			'font-size'     => '14px',
			'margin-bottom' => citation_px_to_rem( '16px' ),
			'line-height'   => '1.5',
			'color'         => '#363a60',
			'css-selectors' => '.related-posts .front-view-content',
		),
		'dependency' => array(
			'relation' => 'or',
			array(
				'field'      => 'related_posts_layouts',
				'value'      => 'default',
				'comparison' => '==',
			),
			array(
				'field'      => 'related_posts_layouts',
				'value'      => 'related2',
				'comparison' => '==',
			),
			array(
				'field'      => 'related_posts_layouts',
				'value'      => 'related5',
				'comparison' => '==',
			),
		),
	),

	array(
		'id'    => 'related_posts_categories_color',
		'type'  => 'color',
		'title' => esc_html__( 'Post Categories Color', 'citation' ),
		'std'   => citation_get_settings( 'primary_color_scheme' ),
	),

	// Read More Button.
	array(
		'id'    => 'related_post_readmore_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Read More Button', 'citation' ),
	),

	array(
		'id'       => 'related_readmore_button',
		'type'     => 'switch',
		'title'    => esc_html__( 'Enable/Disable Read More', 'citation' ),
		'sub_desc' => esc_html__( 'Use this button to show or hide Read More.', 'citation' ),
		'std'      => '1',
	),

	array(
		'id'         => 'related_readmore_font',
		'type'       => 'typography',
		'title'      => esc_html__( 'Read More Font', 'digital' ),
		'std'        => array(
			'preview-text'  => 'Read More Font',
			'preview-color' => 'light',
			'font-family'   => 'Raleway',
			'font-weight'   => '700',
			'font-size'     => '11px',
			'color'         => '#363a60',
			'css-selectors' => '.related-posts .readMore a',
		),
		'dependency' => $readmorebtn,
	),

	array(
		'id'         => 'related_readmore_hover_color',
		'type'       => 'color',
		'title'      => esc_html__( 'Read More Hover Color', 'citation' ),
		'std'        => citation_get_settings( 'primary_color_scheme' ),
		'dependency' => $readmorebtn,
	),

	array(
		'id'    => 'related_posts_article_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Related Posts Articles', 'citation' ),
	),

	array(
		'id'       => 'related_article_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Related Posts Background', 'citation' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'citation' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '#ffffff',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),

	array(
		'id'       => 'related_article_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Articles Padding', 'citation' ),
		'sub_desc' => esc_html__( 'Set related posts articles padding from here.', 'citation' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),

);
