<?php
/**
 * Single Styling
 *
 * @package Citation
 */

$menus['single-styling'] = array(
	'icon'  => 'fa-paint-brush',
	'title' => esc_html__( 'Single Styling', 'citation' ),
	'desc'  => esc_html__( 'From here, you can control the appearance and functionality of your single posts page.', 'citation' ),
);

$sections['single-styling'] = array(
	array(
		'id'    => 'mts_single_styling_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Single Styling', 'citation' ),
	),
	array(
		'id'       => 'single_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Background', 'citation' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image of Single, Page, Archive, Search, Category and 404 Page from here.', 'citation' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '#ffffff',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),

	array(
		'id'       => 'mts_single_styling_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Single Margin', 'citation' ),
		'sub_desc' => esc_html__( 'Set single post margin from here.', 'citation' ),
		'left'     => false,
		'right'    => false,
		'std'      => array(
			'top'    => '0',
			'bottom' => citation_px_to_rem( '40px' ),
		),
	),
	array(
		'id'       => 'mts_single_styling_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Single Padding', 'citation' ),
		'sub_desc' => esc_html__( 'Set single post padding from here.', 'citation' ),
		'std'      => array(
			'top'    => citation_px_to_rem( '50px' ),
			'right'  => citation_px_to_rem( '50px' ),
			'bottom' => citation_px_to_rem( '50px' ),
			'left'   => citation_px_to_rem( '50px' ),
		),
	),
	array(
		'id'       => 'single_styling_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'citation' ),
		'sub_desc' => esc_html__( 'Select border', 'citation' ),
	),
	array(
		'id'    => 'single_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Single Post Title', 'citation' ),
		'std'   => array(
			'preview-text'  => 'Single Post Title',
			'preview-color' => 'light',
			'font-family'   => 'Raleway',
			'font-weight'   => '700',
			'font-size'     => '40px',
			'line-height'   => '1.15',
			'margin-top'    => citation_px_to_rem( '32px' ),
			'margin-bottom' => citation_px_to_rem( '28px' ),
			'color'         => '#363a60',
			'css-selectors' => '.single-title',
		),
	),
	array(
		'id'    => 'mts_single_category_meta_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Single Category Font', 'citation' ),
		'std'   => array(
			'preview-text'   => 'Single Category Font',
			'preview-color'  => 'light',
			'font-family'    => 'Raleway',
			'font-weight'    => '800',
			'font-size'      => '12px',
			'line-height'    => '2.333334',
			'color'          => citation_get_settings( 'primary_color_scheme' ),
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.single_post .thecategory a',
		),
	),
	array(
		'id'    => 'mts_single_meta_info_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Single Meta Info Font', 'citation' ),
		'std'   => array(
			'preview-text'  => 'Post Meta Info Font',
			'preview-color' => 'light',
			'font-family'   => 'Raleway',
			'font-weight'   => '400',
			'font-size'     => '14px',
			'line-height'   => '2',
			'color'         => '#363a60',
			'css-selectors' => '.single_post .post-info, .single_post .post-info a',
		),
	),
	array(
		'id'    => 'single_title_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Single Titles Styling', 'citation' ),
	),
	array(
		'id'       => 'single_title_alignment',
		'type'     => 'button_set',
		'title'    => esc_html__( 'Single Page Title Alignment', 'citation' ),
		'sub_desc' => esc_html__( 'Choose the single page title alignment', 'citation' ),
		'options'  => array(
			'left'   => esc_html__( 'Left', 'citation' ),
			'center' => esc_html__( 'Center', 'citation' ),
			'right'  => esc_html__( 'Right', 'citation' ),
		),
		'std'      => 'left',
	),
	array(
		'id'       => 'single_title_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Single Page Title Background Color', 'citation' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'citation' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),
	array(
		'id'       => 'single_title_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Single Page Title Padding', 'citation' ),
		'sub_desc' => esc_html__( 'Set single page title padding from here.', 'citation' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'single_title_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'citation' ),
		'sub_desc' => esc_html__( 'Select border', 'citation' ),
	),
	array(
		'id'       => 'single_page_titles_font',
		'type'     => 'typography',
		'title'    => esc_html__( 'Single Sections Title', 'citation' ),
		'sub_desc' => esc_html__( 'Manage Title typography of Related Posts, Comments and Reply from here.', 'citation' ),
		'std'      => array(
			'preview-text'  => 'Title Font',
			'preview-color' => 'light',
			'font-family'   => 'Raleway',
			'font-weight'   => '700',
			'font-size'     => '32px',
			'line-height'   => '1.4375',
			'color'         => '#363a60',
			'margin-bottom' => citation_px_to_rem( '30px' ),
			'css-selectors' => '.related-posts h4, #respond h3, #respond h4, .total-comments',
		),
	),
);
