<?php
/**
 * Single Tags
 *
 * @package Citation
 */

$menus['single-tags'] = array(
	'icon'  => 'fa-tags',
	'title' => esc_html__( 'Tags', 'citation' ),
	'desc'  => esc_html__( 'From here, you can control the appearance and functionality of Tags in single posts page.', 'citation' ),
);

$sections['single-tags'] = array(

	array(
		'id'    => 'tags_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Tags Settings', 'citation' ),
	),
	array(
		'id'       => 'tags_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Tags Background', 'citation' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image for Tags from here.', 'citation' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '#ffffff',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),
	array(
		'id'       => 'tags_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'citation' ),
		'sub_desc' => esc_html__( 'Set Tags margin from here.', 'citation' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => citation_px_to_rem( '40px' ),
			'left'   => '0',
		),
	),
	array(
		'id'       => 'tags_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'citation' ),
		'sub_desc' => esc_html__( 'Set Tags padding from here.', 'citation' ),
		'std'      => array(
      'top'    => citation_px_to_rem( '40px' ),
			'right'  => citation_px_to_rem( '50px' ),
			'bottom' => citation_px_to_rem( '24px' ),
			'left'   => citation_px_to_rem( '50px' ),
		),
	),
	array(
		'id'       => 'tags_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'citation' ),
		'sub_desc' => esc_html__( 'Select border', 'citation' ),
	),
	array(
		'id'    => 'tags_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Tags Font', 'citation' ),
		'std'   => array(
			'preview-text'   => 'Tags Font',
			'preview-color'  => 'light',
			'font-family'    => 'Raleway',
			'font-weight'    => '600',
			'font-size'      => '12px',
			'color'          => citation_get_settings( 'primary_color_scheme' ),
      'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.tags a, .tagcloud a, .widget .wpt_widget_content #tags-tab-content ul li a',
		),
  ),
);
