<?php
/**
 * Single Tab
 *
 * @package Citation
 */

$menus['single-general'] = array(
	'icon'  => 'fa-file-o',
	'title' => esc_html__( 'General', 'citation' ),
	'desc'  => esc_html__( 'From here, you can control the appearance and functionality of your single posts page.', 'citation' ),
);

$sections['single-general'] = array(

	array(
		'id'       => 'show_single_featured',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show Featured image', 'citation' ),
		'sub_desc' => esc_html__( 'Enable/Disable the Featured images in the single post.', 'citation' ),
		'std'      => '1',
	),
	array(
		'id'       => 'single_post_title_alignment',
		'type'     => 'button_set',
		'title'    => esc_html__( 'Single Post Title Alignment', 'citation' ),
		'sub_desc' => esc_html__( 'Choose the single post title alignment', 'citation' ),
		'options'  => array(
			'left'   => esc_html__( 'Left', 'citation' ),
			'center' => esc_html__( 'Center', 'citation' ),
			'right'  => esc_html__( 'Right', 'citation' ),
		),
		'std'      => 'center',
	),
	array(
		'id'       => 'mts_single_post_layout',
		'type'     => 'layout2',
		'title'    => esc_html__( 'Single Post Layout', 'citation' ),
		'sub_desc' => esc_html__( 'Customize the look of single posts', 'citation' ),
		'options'  => array(
			'enabled'  => array(
				'content' => array(
					'label'     => esc_html__( 'Post Content', 'citation' ),
					'subfields' => array(),
				),
				'tags'    => array(
					'label'     => esc_html__( 'Tags', 'citation' ),
					'subfields' => array(),
				),
				'author'  => array(
					'label'     => esc_html__( 'Author Box', 'citation' ),
					'subfields' => array(),
				),
				'related' => array(
					'label'     => esc_html__( 'Related Posts', 'citation' ),
					'subfields' => array(
						array(
							'id'       => 'mts_related_posts_taxonomy',
							'type'     => 'switch',
							'title'    => esc_html__( 'Related Posts Taxonomy', 'citation' ),
							'options'  => array(
								'tags'       => esc_html__( 'Tags', 'citation' ),
								'categories' => esc_html__( 'Categories', 'citation' ),
							),
							'class'    => 'green',
							'sub_desc' => esc_html__( 'Related Posts based on tags or categories.', 'citation' ),
							'std'      => 'categories',
						),
					),
				),
			),
			'disabled' => array(
				'subscribe' => array(
					'label'     => esc_html__( 'Subscribe Box', 'citation' ),
					'subfields' => array(),
				),
			),
		),
	),
	array(
		'id'       => 'mts_single_headline_meta_info',
		'type'     => 'multi_checkbox',
		'title'    => esc_html__( 'Post Meta Info', 'citation' ),
		'sub_desc' => esc_html__( 'Show or hide post meta info.', 'citation' ),
		'options'  => array(
			'category'  => esc_html__( 'Category', 'citation' ),
			'authorpic' => esc_html__( 'Author Pic', 'citation' ),
			'author'    => esc_html__( 'Author Name', 'citation' ),
			'date'      => esc_html__( 'Date', 'citation' ),
			'comment'   => esc_html__( 'Comments', 'citation' ),
		),
		'std'      => array(
			'category',
			'authorpic',
			'author',
			'date',
			'comment',
		),
	),
	array(
		'id'       => 'mts_breadcrumb',
		'type'     => 'switch',
		'title'    => esc_html__( 'Breadcrumbs', 'citation' ),
		'sub_desc' => esc_html__( 'Breadcrumbs are a great way to make your site more user-friendly. You can enable them from here.', 'citation' ),
		'std'      => '0',
	),
	array(
		'id'         => 'breadcrumb_icon',
		'type'       => 'icon_select',
		'title'      => esc_html__( 'Icon', 'citation' ),
		'sub_desc'   => esc_html__( 'Select divider icons from here.', 'citation' ),
		'std'        => 'angle-right',
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'mts_breadcrumb',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),
	array(
		'id'         => 'breadcrumb_font',
		'type'       => 'typography',
		'title'      => esc_html__( 'Breadcrumbs Font', 'citation' ),
		'std'        => array(
			'preview-text'   => 'Breadcrumbs',
			'preview-color'  => 'light',
			'font-family'    => 'Raleway',
			'font-weight'    => '400',
			'font-size'      => '14px',
			'line-height'    => '1.8',
			'color'          => '#363a60',
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.breadcrumb, .breadcrumb a, .rank-math-breadcrumb, .rank-math-breadcrumb a',
		),
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'mts_breadcrumb',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),
);
