<?php
/**
 * Typography tab
 *
 * @package Citation
 */

$menus['typography-collection'] = array(
	'icon'       => 'fa-text-width',
	'title'      => esc_html__( 'Typography', 'citation' ),
	'hide_title' => true,
);

$sections['typography-collection'] = array(

	array(
		'id'    => 'typography-collections',
		'type'  => 'typography_collections',
		'title' => esc_html__( 'Theme Typography', 'citation' ),
		'desc'  => esc_html__( 'From here, you can control the fonts used on your site. You can choose from 17 standard font sets, or from the Google Fonts Library containing 800+ fonts.', 'citation' ),
	),

	array(
		'id'    => 'citation_logo',
		'type'  => 'typography',
		'title' => esc_html__( 'Logo Font', 'citation' ),
		'std'   => array(
			'preview-text'  => 'Logo',
			'preview-color' => 'dark',
			'font-family'   => 'Raleway',
			'font-weight'   => '700',
			'font-size'     => '30px',
			'color'         => '#ffffff',
			'css-selectors' => '#logo a, .logo',
		),
	),

	array(
		'id'    => 'primary_navigation_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Navigation', 'citation' ),
		'std'   => array(
			'preview-text'   => 'Navigation Font',
			'preview-color'  => 'dark',
			'font-family'    => 'Raleway',
			'font-weight'    => '500',
			'font-size'      => '13px',
			'color'          => '#ffffff',
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '#primary-navigation li a, #site-header .header-search .searchbox-input',
		),
	),

	array(
		'id'    => 'content_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Content Font', 'citation' ),
		'std'   => array(
			'preview-text'  => 'Content Font',
			'preview-color' => 'light',
			'font-family'   => 'Raleway',
			'font-weight'   => '400',
			'font-size'     => '15px',
			'line-height'   => '30px',
			'color'         => '#363a60',
			'css-selectors' => 'body',
		),
	),

	array(
		'id'    => 'pages_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Pages Title Font', 'citation' ),
		'std'   => array(
			'preview-text'  => 'Pages Title Font',
			'preview-color' => 'light',
			'font-family'   => 'Raleway',
			'font-weight'   => '700',
			'font-size'     => '36px',
			'line-height'   => '1.4',
			'color'         => '#363a60',
			'css-selectors' => 'h1.entry-title, .page-title',
		),
	),

	array(
		'id'    => 'sidebar_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Widget Title', 'citation' ),
		'std'   => array(
			'preview-text'  => 'Sidebar Title Font',
			'preview-color' => 'light',
			'font-family'   => 'Raleway',
			'font-weight'   => '700',
			'font-size'     => '18px',
			'line-height'   => '1.612',
			'color'         => '#363a60',
			'css-selectors' => '#sidebar .widget h3.widget-title, .widget #wp-subscribe .title',
		),
	),

	array(
		'id'    => 'sidebar_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Font', 'citation' ),
		'std'   => array(
			'preview-text'  => 'Sidebar Font',
			'preview-color' => 'light',
			'font-family'   => 'Raleway',
			'font-weight'   => '400',
			'font-size'     => '14px',
			'line-height'   => '1.846',
			'color'         => '#363a60',
			'css-selectors' => '#sidebar .widget, #sidebar .widget .post-excerpt',
		),
	),

	array(
		'id'    => 'sidebar_links_widgets',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Links Widgets', 'citation' ),
		'std'   => array(
			'preview-text'   => 'Sidebar Links Widgets',
			'preview-color'  => 'light',
			'font-family'    => 'Raleway',
			'font-weight'    => '700',
			'font-size'      => '12px',
			'line-height'    => '2.5',
			'color'          => '#4a5166',
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '#sidebar .widget.widget_archive a, #sidebar .widget.widget_categories a, #sidebar .widget.widget_pages a, #sidebar .widget.widget_meta a, #sidebar .widget.widget_nav_menu a',
		),
	),

	array(
		'id'    => 'sidebar_post_title',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Posts Title', 'citation' ),
		'std'   => array(
			'preview-text'  => 'Sidebar Posts Titles',
			'preview-color' => 'light',
			'font-family'   => 'Raleway',
			'font-weight'   => '700',
			'font-size'     => '15px',
			'line-height'   => '1.6',
			'color'         => '#363a60',
			'css-selectors' => '.sidebar .post-title a, .sidebar .entry-title a, .sidebar .wpt_comment_meta a',
		),
	),

	array(
		'id'    => 'sidebar_large_post_title',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Large Posts Title', 'citation' ),
		'std'   => array(
			'preview-text'  => 'Sidebar Large Posts Titles',
			'preview-color' => 'light',
			'font-family'   => 'Raleway',
			'font-weight'   => '700',
			'font-size'     => '17px',
			'line-height'   => '1.6',
			'color'         => '#363a60',
			'css-selectors' => '.sidebar li.vertical-small .post-title a, .sidebar .widget .wpt_thumb_large + .entry-title a, .sidebar .widget .wpt_thumb_large + .wpt_comment_meta a, .sidebar .widget .review_thumb_large .entry-title a',
		),
	),

	array(
		'id'    => 'sidebar_postinfo_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Meta font', 'citation' ),
		'std'   => array(
			'preview-text'  => 'Sidebar Meta Font',
			'preview-color' => 'light',
			'font-family'   => 'Raleway',
			'font-weight'   => '400',
			'font-size'     => '13px',
			'color'         => '#363a60',
			'line-height'   => '2',
			'css-selectors' => '.sidebar .widget .post-info, .sidebar .widget .post-info a, .sidebar .widget .wpt_widget_content .wpt-postmeta, .sidebar .wp_review_tab_widget_content .wp-review-tab-postmeta',
		),
	),

	array(
		'id'    => 'top_footer_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Footer Widget Title', 'citation' ),
		'std'   => array(
			'preview-text'   => 'Footer Title Font',
			'preview-color'  => 'dark',
			'font-family'    => 'Raleway',
			'font-weight'    => '700',
			'font-size'      => '16px',
			'line-height'    => '1.625',
			'color'          => '#ffffff',
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.footer-widgets h3, #site-footer .widget #wp-subscribe .title, .brands-title',
		),
	),

	array(
		'id'    => 'top_footer_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Footer font', 'citation' ),
		'std'   => array(
			'preview-text'  => 'Footer Font',
			'preview-color' => 'dark',
			'font-family'   => 'Raleway',
			'font-weight'   => '400',
			'font-size'     => '16px',
			'line-height'   => '1.846',
			'color'         => '#c5c6cd',
			'css-selectors' => '.footer-widgets, footer .widget .wpt_excerpt, footer .advanced-recent-posts p, footer .popular-posts p, footer .category-posts p',
		),
	),

	array(
		'id'    => 'footer_links_widgets',
		'type'  => 'typography',
		'title' => esc_html__( 'Footer Links Widgets', 'citation' ),
		'std'   => array(
			'preview-text'  => 'Footer Links Widgets',
			'preview-color' => 'dark',
			'font-family'   => 'Raleway',
			'font-weight'   => '400',
			'font-size'     => '16px',
			'line-height'   => '1.625',
			'color'         => '#c5c6cd',
			'css-selectors' => '#site-footer .widget.widget_archive a, #site-footer .widget.widget_categories a, #site-footer .widget.widget_pages a, #site-footer .widget.widget_tag_cloud a, #site-footer .widget.widget_meta a, #site-footer .widget.widget_nav_menu a',
		),
	),

	array(
		'id'    => 'top_footer_post_title',
		'type'  => 'typography',
		'title' => esc_html__( 'Footer Post Title', 'citation' ),
		'std'   => array(
			'preview-text'  => 'Footer Posts Title',
			'preview-color' => 'dark',
			'font-family'   => 'Raleway',
			'font-weight'   => '700',
			'font-size'     => '15px',
			'line-height'   => '1.6',
			'color'         => '#c5c6cd',
			'css-selectors' => '#site-footer .post-title a, #site-footer .entry-title a',
		),
	),

	array(
		'id'    => 'footer_large_post_title',
		'type'  => 'typography',
		'title' => esc_html__( 'Footer Large Posts Title', 'citation' ),
		'std'   => array(
			'preview-text'  => 'Footer Large Posts Titles',
			'preview-color' => 'dark',
			'font-family'   => 'Raleway',
			'font-weight'   => '700',
			'font-size'     => '17px',
			'line-height'   => '1.6',
			'color'         => '#c5c6cd',
			'css-selectors' => '#site-footer li.vertical-small .post-title a, #site-footer .widget .wpt_thumb_large + .entry-title a, #site-footer .widget .review_thumb_large .entry-title a, #site-footer .widget .wpt_thumb_large + .wpt_comment_meta a',
		),
	),

	array(
		'id'    => 'top_footer_meta_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Footer Meta font', 'citation' ),
		'std'   => array(
			'preview-text'  => 'Footer Font',
			'preview-color' => 'dark',
			'font-family'   => 'Raleway',
			'font-weight'   => '400',
			'font-size'     => '13px',
			'line-height'   => '2',
			'color'         => '#c5c6cd',
			'css-selectors' => 'footer .widget .post-info, footer .widget .post-info a, footer .widget .wpt_widget_content .wpt-postmeta, footer .wp_review_tab_widget_content .wp-review-tab-postmeta',
		),
	),

	array(
		'id'    => 'copyrights_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Copyrights Section', 'citation' ),
		'std'   => array(
			'preview-text'  => 'Copyrights Font',
			'preview-color' => 'dark',
			'font-family'   => 'Raleway',
			'font-weight'   => '600',
			'font-size'     => '16px',
			'line-height'   => '1.625',
			'color'         => '#c1c2ca',
			'css-selectors' => '#copyright-note, #copyright-note a',
		),
	),

	array(
		'id'    => 'fields_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Text Fields Font', 'citation' ),
		'std'   => array(
			'preview-text'  => 'Text Fields Font',
			'preview-color' => 'light',
			'font-family'   => 'Raleway',
			'font-weight'   => '400',
			'font-size'     => '15px',
			'color'         => '#686b88',
			'css-selectors' => 'input#author, .contact-form input[type="text"], input#email, input#url, #commentform textarea, .contact-form textarea',
		),
	),

	array(
		'id'    => 'h1_headline',
		'type'  => 'typography',
		'title' => esc_html__( 'H1 Heading in Content', 'citation' ),
		'std'   => array(
			'preview-text'  => 'H1 Headline',
			'preview-color' => 'light',
			'font-family'   => 'Raleway',
			'font-weight'   => '700',
			'font-size'     => '36px',
			'color'         => '#363a60',
			'css-selectors' => 'h1',
		),
	),

	array(
		'id'    => 'h2_headline',
		'type'  => 'typography',
		'title' => esc_html__( 'H2 Heading in Content', 'citation' ),
		'std'   => array(
			'preview-text'  => 'H2 Headline',
			'preview-color' => 'light',
			'font-family'   => 'Raleway',
			'font-weight'   => '700',
			'font-size'     => '34px',
			'color'         => '#363a60',
			'css-selectors' => 'h2',
		),
	),

	array(
		'id'    => 'h3_headline',
		'type'  => 'typography',
		'title' => esc_html__( 'H3 Heading in Content', 'citation' ),
		'std'   => array(
			'preview-text'  => 'H3 Headline',
			'preview-color' => 'light',
			'font-family'   => 'Raleway',
			'font-weight'   => '700',
			'font-size'     => '32px',
			'color'         => '#363a60',
			'css-selectors' => 'h3',
		),
	),

	array(
		'id'    => 'h4_headline',
		'type'  => 'typography',
		'title' => esc_html__( 'H4 Heading in Content', 'citation' ),
		'std'   => array(
			'preview-text'  => 'H4 Headline',
			'preview-color' => 'light',
			'font-family'   => 'Raleway',
			'font-weight'   => '700',
			'font-size'     => '30px',
			'color'         => '#363a60',
			'css-selectors' => 'h4',
		),
	),

	array(
		'id'    => 'h5_headline',
		'type'  => 'typography',
		'title' => esc_html__( 'H5 Heading in Content', 'citation' ),
		'std'   => array(
			'preview-text'  => 'H5 Headline',
			'preview-color' => 'light',
			'font-family'   => 'Raleway',
			'font-weight'   => '700',
			'font-size'     => '28px',
			'color'         => '#363a60',
			'css-selectors' => 'h5',
		),
	),

	array(
		'id'    => 'h6_headline',
		'type'  => 'typography',
		'title' => esc_html__( 'H6 Heading in Content', 'citation' ),
		'std'   => array(
			'preview-text'  => 'H6 Headline',
			'preview-color' => 'light',
			'font-family'   => 'Raleway',
			'font-weight'   => '700',
			'font-size'     => '24px',
			'color'         => '#363a60',
			'css-selectors' => 'h6',
		),
	),

	array(
		'id'       => 'typography-subsets',
		'type'     => 'multi_checkbox',
		'title'    => esc_html__( 'Character sets', 'citation' ),
		'sub_desc' => esc_html__( 'Choose the character sets you wish to include. Please note that not all sets are available for all fonts.', 'citation' ),
		'options'  => array(
			'latin'        => esc_html__( 'Latin', 'citation' ),
			'latin-ext'    => esc_html__( 'Latin Extended', 'citation' ),
			'cyrillic'     => esc_html__( 'Cyrillic', 'citation' ),
			'cyrillic-ext' => esc_html__( 'Cyrillic Extended', 'citation' ),
			'greek'        => esc_html__( 'Greek', 'citation' ),
			'greek-ext'    => esc_html__( 'Greek Extended', 'citation' ),
			'vietnamese'   => esc_html__( 'Vietnamese', 'citation' ),
			'khmer'        => esc_html__( 'Khmer', 'citation' ),
			'devanagari'   => esc_html__( 'Devanagari', 'citation' ),
		),
		'std'      => array( 'latin' ),
	),
);
