<?php
/**
 * The template for displaying search results pages.
 *
 * @package Citation
 */

get_header();

citation_action( 'before_content' ); ?>

	<div id="wrapper" class="clearfix">

		<div class="container">

			<div class="article">

				<?php
				// Elementor 'archive' location.
				if ( ! citation_is_elementor( 'archive' ) ) {
					?>

					<div id="content_box">

						<?php if ( have_posts() ) : ?>

							<h1 class="page-title">
								<?php
								// translators: search query.
								printf( esc_html__( 'Search Results for: %s', 'citation' ), '<span>' . get_search_query() . '</span>' );
								?>
							</h1>
						<?php else : ?>
							<h1 class="page-title"><?php esc_html_e( 'Nothing Found', 'citation' ); ?></h1>
						<?php endif; ?>

						<?php
						if ( 'above' === citation_get_settings( 'search_position' ) ) {
							get_search_form();
						}
						?>

						<section id="latest-posts" class="layout-2 clearfix">

							<?php
							$j = 0;
							if ( have_posts() ) {
								while ( have_posts() ) {
									the_post();
									citation_blog_articles();
								}
							} else {
								get_template_part( 'template-parts/no', 'results' );
							}
							?>

						</section>

						<?php
						if ( 0 !== $j ) {
							citation_pagination( citation_get_settings( 'mts_pagenavigation_type' ) );
						}

						if ( 'below' === citation_get_settings( 'search_position' ) ) {
							get_search_form();
						}
						?>
					</div>

					<?php citation_action( 'after_content' ); ?>

					<?php
				}
				?>

			</div>

			<?php get_sidebar(); ?>

		</div><!-- end of .container -->

<?php
get_footer();
