<?php
/**
 * Footer Logo & Navigation
 *
 * @package Citation
 */
if ( citation_get_settings( 'footer_show_logo' ) || citation_get_settings( 'footer_nav_section' ) ) {
	$footer_logo_nav_position = citation_get_settings( 'footer_logo_nav_position' );
	?>
	<div class="footer-logo-nav-section logo-nav-<?php echo $footer_logo_nav_position; ?>">
		<div class="container">
			<div class="footer-logo-wrap">
				<?php citation_logo( array(), 'footer' ); ?>
			</div>
			<?php
			// Footer Nav Section
			if ( citation_get_settings( 'footer_nav_section' ) ) :
				?>
				<div class="footer-nav-section">
					<?php
					$footer_separator = citation_get_settings( 'footer_nav_separator_content' );
					$separator        = ( citation_get_settings( 'footer_nav_separator' ) ? '<span class="footer-separator">' . $footer_separator . '</span>' : '' );
					?>
					<div class="footer-nav-container">
						<nav class="footer-nav clearfix">
							<?php
							// Pirmary Navigation.
							if ( has_nav_menu( 'footer-menu' ) ) {
								wp_nav_menu(
									array(
										'theme_location' => 'footer-menu',
										'menu_class'     => 'footer-menu clearfix',
										'container'      => '',
										'after'          => $separator,
										'walker'         => new citation_menu_walker(),
									)
								);
							}
							?>
						</nav>
					</div>
				</div>
				<?php
			endif;
			?>
		</div>
	</div>
	<?php
}
