<?php
/**
 * Header Default Layout
 *
 * @package Citation
 */

if ( is_page_template( 'page-home.php' ) ) {
	$home_class = ' home-header';
} else {
	$home_class = '';
}
?>

<header<?php citation_attr( 'header' ); ?>>
	<?php
	if ( ! citation_is_elementor( 'header' ) ) {
		if ( citation_get_settings( 'sticky_nav' ) ) {
			?>
			<div class="clear" id="catcher"></div>
			<div id="header" class="sticky-navigation">
			<?php } else { ?>
				<div id="header">
				<?php } ?>
				<div class="container">
					<div class="logo-wrap">
						<?php
						if ( is_page_template( 'page-home.php' ) ) {
							citation_logo( array(), 'home' );
						} else {
							citation_logo();
						}
						?>
					</div>
					<?php
					$header_text = citation_get_settings( 'header_text' );
					if ( ! empty( $header_text ) ) {
						echo '<div class="header-text">' . $header_text . '</div>';
					}
					get_template_part( 'template-parts/header/header', 'buttons' );
					?>
				</div><!--.container-->
			</div>
			<div class="header-layout2-bottom clearfix">
				<div class="container">
					<?php
					get_template_part( 'template-parts/header/header', 'primary-nav' );
					get_template_part( 'template-parts/header/header', 'search' );
					// Header Social Icons.
					if ( ! empty( citation_get_settings( 'mts_header_social_share' ) ) && ! empty( citation_get_settings( 'header_social_icons' ) ) && is_array( citation_get_settings( 'header_social_icons' ) ) ) {
						$header_icons = citation_get_settings( 'header_social_icons' );
						citation_header_social_icons( $header_icons, true );
					}
					?>
				</div>
			</div>
			<?php
	}
	?>
</header>
<?php get_template_part( 'template-parts/header/header', 'nav-adcode' ); ?>
<?php get_template_part( 'template-parts/header/header', 'adcode' ); ?>
