<?php
/**
 * Homepage Section - Advanced Feature
 *
 * @package Citation
 */

$count    = 0;
$features = citation_get_settings( 'advanced_feature_list' );

if ( empty( $features ) && ! is_array( $features ) ) {
	return;
}
?>

<section class="advanced-feature-section">
	<div class="container clearfix">
		<?php
		echo '<ul>';
		if ( $features && is_array( $features ) ) {
			foreach ( $features as $feature ) {
				echo '<li class="' . $feature['advanced_feature_alignment'] . ' advanced-feature-' . ++$count . ' clearfix">';
				if ( ! empty( $feature['advanced_feature_image'] ) ) {
					echo '<div class="advanced-feature-img"><img src="' . $feature['advanced_feature_image'] . '"></div>';
				}
				echo '<div class="advanced-content-area advanced-content-' . $feature['advanced_feature_alignment'] . '">';
				if ( ! empty( $feature['advanced_feature_title'] ) ) {
					echo '<div class="advanced-feature-title">' . $feature['advanced_feature_title'] . '</div>';
				}
				if ( ! empty( $feature['advanced_feature_content'] ) ) {
					echo '<p>' . $feature['advanced_feature_content'] . '</p>';
				}
				if ( ! empty( $feature['advanced_feature_button_text'] ) && ! empty( $feature['advanced_feature_button_url'] ) ) {
					echo '<div class="advanced-feature-button">';
					printf(
						'<a class="button border" href="%1$s">%2$s</a>',
						$feature['advanced_feature_button_url'],
						$feature['advanced_feature_button_text']
					);
					echo '</div>';
				}
				echo '</div>';
				echo '</li>';
			}
		}
		echo '</ul>';
		?>
	</div><!-- .container -->
</section>
