<?php
/**
 * Homepage Section - CTA
 *
 * @package Citation
 */

$title       = citation_get_settings( 'cta_title' );
$text        = citation_get_settings( 'cta_text' );
$button_text = citation_get_settings( 'cta_button_text' );
$button_url  = citation_get_settings( 'cta_button_url' );

if ( empty( $title ) && empty( $text ) && empty( $button_text ) && empty( $button_url ) ) {
	return;
}
?>
<section class="cta-section clearfix">
	<div class="container">
		<?php
		if ( ! empty( $title ) ) {
			echo '<h2>' . $title . '</h2>';
		}
		if ( ! empty( $text ) ) {
			echo '<p>' . $text . '</p>';
		}
		if ( ! empty( $button_text ) && ! empty( $button_url ) ) {
			printf( '<div class="cta-button"><a class="button" href="%1$s">%2$s</a></div>', $button_url, $button_text );
		}
		?>
	</div><!-- .container -->
</section>
