<?php
/**
 * Homepage Section - Featured
 *
 * @package Citation
 */

$img         = citation_get_settings( 'featured_image' );
$title       = citation_get_settings( 'featured_title' );
$content     = citation_get_settings( 'featured_content' );
$button_text = citation_get_settings( 'featured_button_text' );
$button_url  = citation_get_settings( 'featured_button_url' );

if ( empty( $img ) && empty( $title ) && empty( $content ) && empty( $button_text ) && empty( $button_url ) ) {
	return;
}
?>
<section class="featured-section">
	<div class="featured-overlay"></div>
	<div class="container">
		<div class="featured-section-inner">
			<?php
			if ( ! empty( $title ) ) {
				echo '<h2>' . $title . '</h2>';
			}
			if ( ! empty( $content ) ) {
				echo '<p>' . $content . '</p>';
			}
			if ( ! empty( $button_text ) && ! empty( $button_url ) ) {
				printf( '<div class="featured-button"><a class="button" href="%1$s">%2$s</a></div>', $button_url, $button_text );
			}
			?>
		</div>
	</div><!-- .container -->
</section>
