<?php
/**
 * Homepage Section - Features
 *
 * @package Citation
 */

$i          = 0;
$heading    = citation_get_settings( 'features_heading' );
$subheading = citation_get_settings( 'features_subheading' );
$features   = citation_get_settings( 'features_list' );

if ( empty( $heading ) && empty( $subheading ) && empty( $features ) && ! is_array( $features ) ) {
	return;
}
?>

<section class="features-section clearfix">

	<div class="container">

		<header>
			<?php
			if ( ! empty( $heading ) ) {
				echo '<h2>' . $heading . '</h2>';
			}
			if ( ! empty( $subheading ) ) {
				echo '<p>' . $subheading . '</p>';
			}
			?>
		</header>

		<?php
		if ( $features && is_array( $features ) ) {

			// Features lists.
			echo '<div class="features-lists">';

			echo '<ul class="features-wrap">';
			foreach ( $features as $feature ) {
				printf(
					'<li class="feature-%1$s"><div class="feature-icon"><i class="fa fa-%2$s"></i></div><div class="feature-content"><h3>%3$s</h3><p>%4$s</p></div></li>',
					++$i,
					$feature['feature_icon'],
					$feature['feature_title'],
					$feature['feature_text']
				);
			}
			echo '</ul>';

			echo '</div>';

		}
		?>

	</div><!-- .container -->

</section>
