<?php
/**
 * Homepage Section - Services
 *
 * @package Citation
 */

$i          = 0;
$heading    = citation_get_settings( 'services_heading' );
$subheading = citation_get_settings( 'services_subheading' );
$services   = citation_get_settings( 'services_list' );

if ( empty( $heading ) && empty( $subheading ) && empty( $services ) && ! is_array( $services ) ) {
	return;
}
?>

<section class="services-section clearfix">

	<div class="container">

		<header>
			<?php
			if ( ! empty( $heading ) ) {
				echo '<h2>' . $heading . '</h2>';
			}
			if ( ! empty( $subheading ) ) {
				echo '<p>' . $subheading . '</p>';
			}
			?>
		</header>

		<?php
		if ( $services && is_array( $services ) ) {

			// Services lists.
			echo '<div class="services-lists">';

			echo '<ul class="services-wrap">';
			foreach ( $services as $service ) {
				printf(
					'<li class="service-%1$s"><div class="service-icon"><i class="fa fa-%2$s"></i></div><div class="service-content"><h3>%3$s</h3><p>%4$s</p><div class="service-button"><a class="button" href="%5$s">%6$s</a></div></div></li>',
					++$i,
					$service['service_icon'],
					$service['service_title'],
					$service['service_text'],
					$service['service_button_url'],
					$service['service_button_text']
				);
			}
			echo '</ul>';

			echo '</div>';

		}
		?>

	</div><!-- .container -->

</section>
